<?php
require PDF_PLUGIN_DIR . 'vendor/autoload.php';
use Dompdf\Dompdf;
use Dompdf\Options;
use Dompdf\FontMetrics;

if (!defined('ABSPATH')) {
	exit;
}
class AF_P_D_F_I_Admin {

	public function __construct() {
		add_action('all_admin_notices', array( $this, 'invoices_display_tabs' ), 5);
		add_action('admin_menu', array( $this, 'addify_invoices_submenu' ));
		add_action('admin_init', array( $this, 'invoices_pdf_regester_general_setting' ));
		add_action('admin_enqueue_scripts', array( $this, 'addify_invoices_fields_style' ));
		add_action('woocommerce_email_attachments', array( $this, 'af_pdf_invoice_to_order_email' ), 10, 3);
		add_action('manage_woocommerce_page_wc-orders_custom_column', array( $this, 'source_medium_value' ), 10, 2);
		add_action('wp_ajax_download_invoice_pdf', array( $this, 'addify_handle_download_invoice_pdf' ));
		add_action('wp_ajax_download_packing_slip_pdf', array( $this, 'addify_handle_download_packing_slip_pdf' ));
		add_filter('bulk_actions-woocommerce_page_wc-orders', array( $this, 'addify_invoice_pdf_bulk_action' ));
		add_filter('handle_bulk_actions-woocommerce_page_wc-orders', array( $this, 'addify_handle_bulk_actions' ), 10, 3);
		add_action('admin_init', array( $this, 'addify_bulk_download_invoices_action' ));
		
		add_action('add_meta_boxes', array( $this, 'af_pdf_invoices_adding_meta' ));
		add_action('woocommerce_email_attachments', array( $this, 'attach_credit_note_to_refund_order_email' ), 10, 3);
		
		add_action('wp_ajax_generate_invoice_pdf', array( $this, 'generate_invoice_pdf' ));
	}
	public function generate_invoice_pdf() {
		$form_data = array();
		$header_logo = '';

		$af_invoice_pdf_select_design =get_option('af_invoice_pdf_select_design');


		if ('temp1.php'== $af_invoice_pdf_select_design) {
			$invoice_html = $this->af_pdf_invoice_generate_preview_temp1();

		} elseif ('temp2.php'== $af_invoice_pdf_select_design) {
			$invoice_html = $this->af_pdf_invoice_generate_preview_temp2();         
		} elseif ('temp3.php'== $af_invoice_pdf_select_design) {
			$invoice_html = $this->af_pdf_invoice_generate_preview_temp3();         
		}
		$options = new \Dompdf\Options();
		$options->set('isPhpEnabled', true);
		$options->set('isRemoteEnabled', true);
		$options->set('defaultPaperSize', 'A4');
		$options->set('isHtml5ParserEnabled', true);

		$dompdf = new \Dompdf\Dompdf($options);
		$dompdf->loadHtml($invoice_html);


		$dompdf->setPaper('A4', 'portrait');


		$dompdf->render();


		$pdf_output = $dompdf->output();


		$pdf_base64 = base64_encode($pdf_output);


		wp_send_json_success(array( 'pdf_base64' => $pdf_base64 ));


		wp_die(); 
	}
	public function af_pdf_invoice_generate_preview_temp3() {
		ob_start();

		$af_invoices_pdf_header_logo = get_option('af_invoices_pdf_header_logo');
		$af_invoice_comp_name = get_bloginfo('name');
		$af_invoice_add_informiation = get_option('woocommerce_store_address');
		$af_invoices_pdf_header_background_color = get_option('af_invoices_pdf_header_background_color');
		$af_invoices_pdf_header_color = get_option('af_invoices_pdf_header_color ');
		$af_invoices_pdf_order_table_back_color = get_option('af_invoices_pdf_order_table_back_color');
		$af_invoices_pdf_order_table_color = get_option('af_invoices_pdf_order_table_color');
		$af_invoices_pdf_company_detail = get_option('af_invoices_pdf_company_detail');
		$af_invoice_heading = get_option('af_invoice_heading');
		$af_invo_footer_text = get_option('af_invoices_pdf_note_footer');
		$af_inv_invoice_note = get_option('af_invoices_pdf_term_condition');
		$af_invoices_pdf_footer_background_color = get_option('af_invoices_pdf_footer_background_color');
		$af_invoices_pdf_footer_text_color = get_option('af_invoices_pdf_footer_text_color');

		$af_invoices_pdf_shipping_date = get_option('af_invoices_pdf_shipping_date');
		$af_invoices_pdf_header_logo_height = get_option('af_invoices_pdf_header_logo_height');

		?>
		<html lang="en">

		<head>

			<style type="text/css">
				.af-pdf-invoices-content table {
					width: 100%;
					border-collapse: collapse;
				}

				.af-pdf-invoices-content table tbody tr td {
					border: 1px solid #393a3c38;
				}

				.af-pdf-invoices-content table thead th {
					background-color: #20e361;
					color: white;
					border: 1px solid #393a3c38;
					background-color:
					<?php echo esc_attr($af_invoices_pdf_order_table_back_color); ?>
					;
					font-size: 14px;
					line-height: 24px;
					padding: 5px;
					text-align: left;

				}

				.af-pdf-invoices-content table tbody tr td:first-child {
					font-weight: 800;
				}

				.af-pdf-invoices-content table tbody tr td:last-child,
				.af-pdf-invoices-content table thead tr th:last-child {
					text-align: left;
				}

				.af-pdf-invoices-content table tbody tr:nth-child(even) {
					/*background-color: #ebf6ff;*/
			/*border: 1px solid;
					border-color: black;*/
				}

				.af-pdf-invoices-content table tr td th {
					font-size: 14px;
					line-height: 24px;
					padding: 5px;
					text-align: left;
					text-align: center !important;
				}

				.af-pdf-invoices-content table tbody tr:nth-child(odd) {
					/*background-color: #fff;*/
			/*border: 1px solid;
						border-color: black;*/
					}


					.af-invoice-pdf-product_sku_td small {
						font-size: 10px;
					}

					.af-pdf-invoice-product-img img {
						width: 50px;
						height: 55px;
						margin: 0 auto;
						border-radius: 6px !important;
						background: transparent;
					}

					.af-pdf-invoices-content table tr th td {}

					#af_inv_proforma_note,
					#af-pdf-invoice-footer {
						font-size: 10pt !important;
					}

					#af-pdf-invoice-footer {
						position: fixed !important;
						bottom: 0px !important;
						left: 0 !important;
						right: 0 !important;
						width: 100%;
						background-color: #20e361;
						color: white;
					}

					.af-pdf-invoice-header_temp3 {
						background-color: #20e361;
						color: white;
					}

					.af-line-temp-mid-sec-left h4,
					.af-line-temp-mid-sec-right h4 {
						background-color: #20e361;
						color: white;
					}

					.af-invoice-info h4 {
						background-color: #20e361;
						color: white;
					}
				</style>
			</head>

			<meta charset="utf-8">
			<meta name="viewport" content="width=device-width, initial-scale=1">
			<div class="af-pdf-invoice-header_temp3"
			style="background:<?php echo esc_attr($af_invoices_pdf_header_background_color); ?>; color: <?php echo esc_attr($af_invoices_pdf_header_color); ?>;">
			<div style="padding:0 20px 20px; width:60%; display: inline-block; vertical-align: top;">
				<h2 style="font-weight: bold; font-size: 25px; line-height: 35px; margin-bottom:5px;">
					<?php
					if (!empty($af_invoice_heading)) {
						echo esc_attr($af_invoice_heading);
					} else {
						echo esc_html__('Invoice Slip', 'af_pdf_invoices');
					}
					?>
				</h2>
				<?php
				if ('default' == $af_invoices_pdf_company_detail) {
					?>
					<table>
						<?php
						if (!empty($af_invoice_comp_name)) {
							?>
							<tr>
								<td style="font-size:14px; line-height: 22px; padding: 0px 0;">
									<?php echo esc_html__('Company', 'af_pdf_invoices'); ?>:
								</td>
								<td style="font-size:14px; line-height: 22px; padding: 0px 0;">
									<?php echo esc_attr($af_invoice_comp_name); ?>
								</td>
							</tr>
						<?php } ?>

						<?php
						if (!empty($af_invoice_add_informiation)) {
							?>
							<tr>
								<td style="font-size:14px; line-height: 22px; padding: 0px 0;">
									<?php echo esc_html__('Address', 'af_pdf_invoices'); ?>:
								</td>
								<td style="font-size:14px; line-height: 22px; padding: 0px 0;">
									<?php echo esc_attr($af_invoice_add_informiation); ?>
								</td>
							</tr>
						<?php } ?>

						<tr>
							<td style="font-size:14px; line-height: 22px; padding: 0px 0;">
								<?php echo esc_html__('City', 'af_pdf_invoices'); ?>:
							</td>
							<td style="font-size:14px; line-height: 22px; padding: 0px 0;">
								<?php echo esc_attr(get_option('woocommerce_store_city')); ?>
							</td>
						</tr>
						<tr>
							<td style="font-size:14px; line-height: 22px; padding: 0px 0;">
								<?php echo esc_html__('Country', 'af_pdf_invoices'); ?>:
							</td>
							<td style="font-size:14px; line-height: 22px; padding: 0px 0;">
								<?php echo esc_attr(get_option('woocommerce_default_country')); ?>
							</td>
						</tr>
						<tr>
							<td style="font-size:14px; line-height: 22px; padding: 0px 0;">
								<?php echo esc_html__('Vat number', 'af_pdf_invoices'); ?>:
							</td>
							<td style="font-size:14px; line-height: 22px; padding: 0px 0;">
								<?php echo esc_attr(get_option('af_invoices_vat_number')); ?>
							</td>
						</tr>
					</table>
					<?php
				}
				if ('custom' == $af_invoices_pdf_company_detail) :
					?>
					<?php
					$af_invoices_pdf_custom_store_name = get_option('af_invoices_pdf_custom_store_name');
					$lines = explode("\n", $af_invoices_pdf_custom_store_name);
					?>
					<table>
						<?php
						foreach ($lines as $line) :
							if (strpos($line, ':') !== false) :
								list($label, $value) = explode(':', $line, 2);
								?>
								<tr style="padding: 10px 0;">
									<td>
										<?php echo esc_html(trim($label)); ?>:
									</td>
									<td>
										<?php echo esc_attr(trim($value)); ?>
									</td>
								</tr>
								<?php
							endif;
						endforeach;
						?>
						
					</table>
				<?php endif; ?>
			</div>

			<div
			style="width:27%; padding: 20px!important; margin:0; display: inline-block; vertical-align: top; text-align: right;">
			<?php

			$default_height = '150px';


			$logo_height = !empty($af_invoices_pdf_header_logo_height) ? esc_attr($af_invoices_pdf_header_logo_height) . 'px' : $default_height;

			if (!empty($af_invoices_pdf_header_logo)) {
				?>
				<img style="width: 150px!important; height: <?php echo esc_attr($logo_height); ?>; margin:10px 0 auto auto;"
				src="<?php echo esc_url($af_invoices_pdf_header_logo); ?>">
			<?php } ?>
		</div>



	</div>

	<body>


		<div class="af-pdf-wrapper">

			<section class="af-line-temp-mid-section"
			style="width: 100%; vertical-align: top; padding-bottom: 30px!important;">
			<div class="af-line-temp-mid-sec-left" style="display: inline-block; width: 32%; vertical-align: top;">
				<h4
				style="padding: 10px; background-color: <?php echo esc_attr($af_invoices_pdf_header_background_color); ?>; color: <?php echo esc_attr($af_invoices_pdf_header_color); ?>;">
				<?php echo esc_html__('Bill To', 'af_pdf_invoices'); ?>
			</h4>
			<ul style="list-style: none; padding: 0!important; margin: 0!important; margin-left: 0!important;">
				<li style="font-size: 14px; line-height: 24px; font-weight: normal;">
					<label><?php echo esc_html__('Invoice to:', 'af_pdf_invoices'); ?></label>
					<span><?php echo esc_html_e(' Collier-Klocko', 'af_pdf_invoices'); ?></span>
				</li>
				<?php
				if (get_option('af_invoices_display_email_address') == 'yes') {
					?>
				<li style="font-size: 14px; line-height: 24px; font-weight: normal;">
					<label><?php echo esc_html__('E-Mail:', 'af_pdf_invoices'); ?></label><span><?php echo esc_attr('myra@gmail.com', 'af_pdf_invoices'); ?></span>
				</li>
			<?php
				} 
				?>
			<li style="font-size: 14px; line-height: 24px; font-weight: normal;">
				<label><?php echo esc_html__('Address', 'af_pdf_invoices'); ?></label><span><?php echo esc_attr('381 Hulda Bypass', 'af_pdf_invoices'); ?></span>
			</li>
		</ul>
	</div>
	<?php
		if ('yes' == $af_invoices_pdf_shipping_date) {
			?>
		<div class="af-line-temp-mid-sec-right" style="display: inline-block; width: 32%; vertical-align: top;">
			<h4
			style="padding: 10px; background-color: <?php echo esc_attr($af_invoices_pdf_header_background_color); ?>; color: <?php echo esc_attr($af_invoices_pdf_header_color); ?>;">
			<?php echo esc_html__('Ship To', 'af_pdf_invoices'); ?>
		</h4>

		<ul style="list-style: none; padding: 0!important; margin: 0!important;">
			<li style="font-size: 14px; line-height: 24px; font-weight: normal;">
				<label><?php echo esc_html__('Company Name:', 'af_pdf_invoices'); ?></label>
				<span><?php echo esc_attr(' Baumbac', 'af_pdf_invoices'); ?></span>
			</li>







			<li style="font-size: 14px; line-height: 24px; font-weight: normal;">
				<label><?php echo esc_html__('Address:', 'af_pdf_invoices'); ?></label>
				<span><?php echo esc_html_e('362 Reid Cliffs', 'af_pdf_invoices'); ?></span>
			</li>


			<?php
			$af_invoices_display_phone_number = get_option('af_invoices_display_phone_number');
			if ('yes'== $af_invoices_display_phone_number) {
				?>
				<li style="font-size: 14px; line-height: 24px; font-weight: normal;">
					<label><?php echo esc_html__('Phone:', 'af_pdf_invoices'); ?></label>
					<span><?php echo esc_html_e('+1-432-863-0673', 'af_pdf_invoices'); ?></span>
				</li>
			<?php } ?>
		</ul>
	</div>
	<?php } ?>
<div class="af-invoice-info" style="display: inline-block; width: 32%; vertical-align:top;">
	<h4
	style="padding: 10px; background-color: <?php echo esc_attr($af_invoices_pdf_header_background_color); ?>; color: <?php echo esc_attr($af_invoices_pdf_header_color); ?>;">
	<?php echo esc_html__('invoice detail', 'af_pdf_invoices'); ?>
</h4>
<?php
$af_invoices_pdf_custom_store_name = get_option('af_invoices_display_invoice_number');


$order_number = '685';

		if ('no' == $af_invoices_pdf_custom_store_name) {

			$display_value = '';
		} elseif ('order_number' == $af_invoices_pdf_custom_store_name) {

			$display_value = $order_number; 
		} elseif ('invoice_number' == $af_invoices_pdf_custom_store_name) {

			$af_invoice_padding = get_option('af_invoice_padding');


			$invoice_number = '1234';  
			$dummy_order_date = '2024-01-01'; 

			$padding_replaced = str_replace(
				array( '{order_id}', '{order_date}', '{invoice_number}' ),
				array( $order_number, $dummy_order_date, $invoice_number ),
				$af_invoice_padding
			);
			$display_value = $padding_replaced;
		} else {

			$display_value = '';
		}
		?>

<li style="font-size: 14px; line-height: 24px; font-weight: normal;">
	<label><?php esc_html_e('Order Information:', 'af_pdf_invoices'); ?></label>
	<span><?php echo esc_html($display_value); ?></span>
</li>

<?php
$af_invoices_order_date = get_option('af_invoices_order_date');
		if ('yes' == $af_invoices_order_date) {
			?>
	<li style="font-size: 14px; line-height: 23px; font-weight: normal;">
		<label><?php echo esc_html__('Date & Time', 'af_pdf_invoices'); ?></label>
		<span>
			<?php
		  
			$dummy_date = '01 Jan 2024';  
			$dummy_time = '12:34:56';  
			$dummy_timezone = 'UTC'; 
			echo esc_attr("{$dummy_date} {$dummy_time} ({$dummy_timezone})");
			?>
		</span>
	</li>
			<?php
		}
		?>
</ul>
</div>
</div>
</section>


<section class="af-pdf-invoices-content" style="padding-top: 30px!important;">
	<table style="text-align: center;">
		<thead
		style="background-color: <?php echo esc_attr($af_invoices_pdf_order_table_back_color); ?>; color: <?php echo esc_attr($af_invoices_pdf_order_table_color); ?>;">
		<tr style="text-align:center;">
			<th
			style=" background-color:<?php echo esc_attr($af_invoices_pdf_order_table_back_color); ?>  width:20%; text-align:center; color: <?php echo esc_attr($af_invoices_pdf_order_table_color); ?>">
			<?php echo esc_html__('Image', 'af_pdf_invoices'); ?>
		</th>
		<th
		style=" background-color:<?php echo esc_attr($af_invoices_pdf_order_table_back_color); ?> width:20%; text-align:center; color: <?php echo esc_attr($af_invoices_pdf_order_table_color); ?>">
		<?php echo esc_html__('Product Name', 'af_pdf_invoices'); ?>
	</th>
	<th
	style=" width:20%; text-align:center;color: <?php echo esc_attr($af_invoices_pdf_order_table_color); ?>">
	<?php echo esc_html__('QTY', 'af_pdf_invoices'); ?>
</th>
<th
style=" background-color:<?php echo esc_attr($af_invoices_pdf_order_table_back_color); ?> width:20%; text-align:center; color: <?php echo esc_attr($af_invoices_pdf_order_table_color); ?>">
<?php echo esc_html__('Price', 'af_pdf_invoices'); ?>
</th>

<th
style=" background-color:<?php echo esc_attr($af_invoices_pdf_order_table_back_color); ?> text-align:center; color: <?php echo esc_attr($af_invoices_pdf_order_table_color); ?>">
<?php echo esc_html__('Total', 'af_pdf_invoices'); ?>
</th>
</tr>
</thead>
<tbody>
	<tr style="text-align:center;">
					<td>	<img style="height: 50px; margin-left: 20px;text-align: center;" 
					src="<?php echo esc_url($af_invoices_pdf_header_logo); ?>"> </td>


						<td>Album</td>
						<td><?php echo esc_html__('1', 'af_pdf_invoices'); ?></td>

						<td style="text-align:center;">
							<?php
							echo esc_html__(
							'$0',
							'af_pdf_invoices'
							);
							?>
						</td>

						<td style="text-align:center;">
							<?php
							echo esc_html__(
							'$10',
							'af_pdf_invoices'
							);
							?>
						</td>

					</tr></tbody>
</table>

</section>
<section class="af-invoice-subtotal-section"
style="width:200px; float: right; background-color:<?php echo esc_attr($af_invoices_pdf_order_table_back_color); ?>: color:<?php echo esc_attr($af_invoices_pdf_order_table_color); ?>">
<div class="af-pdf-logo"></div>
<div class="af-invoice-subtotal"
style="width:100%; background-color:<?php echo esc_attr($af_invoices_pdf_order_table_back_color); ?>: color:<?php echo esc_attr($af_invoices_pdf_order_table_color); ?>  ?> ;">
	<ul style="list-style:none; padding: 0!important; margin:0!important; ">

					<li>
						<p>
							<label style="width:50%; display: inline-block;">
								<?php esc_html_e('Tax', 'af_pdf_invoices'); ?>
							</label>
							<font>
								<?php echo esc_html__('$10', 'af_pdf_invoices'); ?>
							</font>
						</p>
					</li>
					<li>
						<p>
							<label style="width:50%; display: inline-block;">
								<?php esc_html_e('Subtotal', 'af_pdf_invoices'); ?>
							</label>
							<font>
								<?php echo esc_html__('$10', 'af_pdf_invoices'); ?>
							</font>
						</p>
					</li>
					<li>
						<p>
							<label style="width:50%; display: inline-block;">
								<?php esc_html_e('Discount', 'af_pdf_invoices'); ?>
							</label>
							<font>
								<?php echo esc_html__('$0', 'af_pdf_invoices'); ?>
							</font>
						</p>
					</li>

					<p class="af-invoice-total-label">
						<label style="width:50%; display: inline-block; vertical-align: middle;">
							<?php esc_html_e('Total', 'af_pdf_invoices'); ?>
						</label>
						<font>
							<?php echo esc_html__('$10', 'af_pdf_invoices'); ?>
						</font>
					</p>
					</li>

				</ul>
</div>
</section>


</div>

<div id="af-pdf-invoice-footer"
style="background-color:<?php echo esc_attr($af_invoices_pdf_footer_background_color); ?>;color:<?php echo esc_attr($af_invoices_pdf_footer_text_color); ?>;">
<table style="width:100%; padding:20px;">
	<?php
	$af_invoices_pdf_note_footer = get_option('af_invoices_pdf_note_footer');
		if (!empty($af_invoices_pdf_note_footer)) {
			?>
		<tr>
			<th style="text-align:left; padding-left: 0;"><?php echo esc_html__('Note :', 'af_pdf_invoices'); ?>
		</th>
		<td><?php echo esc_attr($af_invoices_pdf_note_footer); ?></td>
	</tr>
		<?php
		}
$af_invoices_pdf_term_condition = get_option('af_invoices_pdf_term_condition');
		if (!empty($af_invoices_pdf_term_condition)) {
			?>
	<tr>
		<th style="text-align:left; padding-left: 0;">
			<?php echo esc_html__('Terms and Conditions', 'af_pdf_invoices'); ?>
		</th>
		<td>
			<?php echo wp_kses_post($af_invoices_pdf_term_condition); ?>
		</td>
	</tr>
		<?php } ?>

</table>
</div>

</body>

</html>
<?php
return ob_get_clean();
	}
	public function af_pdf_invoice_generate_preview_temp2() {
		ob_start();
		$af_invoices_pdf_header_logo = get_option('af_invoices_pdf_header_logo');
		$af_pdf_invoice_comp_name =  get_bloginfo('name');
		$af_pdf_invoice_company_address = get_option('woocommerce_store_address');

		$af_invoices_pdf_order_table_back_color = get_option('af_invoices_pdf_order_table_back_color');

		$af_invoices_pdf_order_table_color = get_option('af_invoices_pdf_order_table_color');
		$af_invo_pro_table = get_option('af_invo_pro_table');
		$af_invoices_pdf_order_table_color = get_option('af_invoices_pdf_order_table_color');
		$af_invoices_pdf_company_detail = get_option('af_invoices_pdf_company_detail');
		$af_invoice_pdf_heading = get_option('af_invoice_pdf_heading');
		$af_invo_footer_text = get_option('af_invoices_pdf_note_footer');
		$af_inv_invoice_note = get_option('af_invoices_pdf_term_condition');
		$af_invoices_pdf_footer_background_color = get_option('af_invoices_pdf_footer_background_color');
		$af_invoices_pdf_footer_text_color = get_option('af_invoices_pdf_footer_text_color');
		$af_invoices_pdf_shipping_date = get_option('af_invoices_pdf_shipping_date');
		$af_invoices_display_email_address = get_option('af_invoices_display_email_address');
		$af_invoices_display_phone_number = get_option('af_invoices_display_phone_number');
		$af_invoices_order_date = get_option('af_invoices_order_date');
		$af_invoices_pdf_header_logo_height = get_option('af_invoices_pdf_header_logo_height');


		?>
	<html lang="en">

	<head>

		<style type="text/css">
			.af-invoices-pdfs-contents table {
				width: 100%;
				border-collapse: collapse;
			}

			.af-invoices-pdfs-contents table tbody tr td {
				border: 1px solid #393a3c38;
			}

			.af-invoices-pdfs-contents table thead th {
				border: 1px solid #393a3c38;

				font-size: 14px;
				line-height: 24px;
				padding: 5px;
				text-align: left;
				background-color: #43e3f8;
				color: black;

			}

			.af-invoices-pdfs-contents table tbody tr td:first-child {
				font-weight: 800;
			}

			.af-invoices-pdfs-contents table tbody tr td:last-child,
			.af-invoices-pdfs-contents table thead tr th:last-child {
				text-align: left;
			}

			.af-invoices-pdfs-contents table tbody tr:nth-child(even) {
				/*background-color: #ebf6ff;*/
			/*border: 1px solid;
					border-color: black;*/
				}

				.af-invoices-pdfs-contents table td {
					font-size: 14px;
					line-height: 24px;
					padding: 5px;
					text-align: left;
				}

				.af-invoices-pdfs-contents table tbody tr:nth-child(odd) {
					/*background-color: #fff;*/
			/*border: 1px solid;
						border-color: black;*/
					}

					.af-pdf-invoices-product-img img {
						width: 40px;
						height: 40px;
						border-radius: 6px;
						background: transparent;
					}

					.af-pdf-invoices_product_sku_td small {
						font-size: 10px;
					}

					#af_inv_proforma_note,
					#af_pdf-invoices-footer {
						font-size: 10pt !important;
					}

					#af_pdf-invoices-footer {
						position: fixed !important;
						bottom: 0px !important;
						left: 0 !important;
						right: 0 !important;
						width: 100%;
						background-color: #43e3f8;
						color: black;
					}

					.af_pdf_invoices_header {
						background-color: #43e3f8;
						color: black;
					}

					.af-pdf-invoices-mid-sec-left h4,
					.af-pdf-invoices-mid-sec-right h4 {
						background-color: #43e3f8;
						color: black;
					}
				</style>
			</head>

			<meta charset="utf-8">
			<meta name="viewport" content="width=device-width, initial-scale=1">
			<div class="af_pdf_invoices_header"
			style="background-color:<?php echo esc_attr($af_invoices_pdf_order_table_back_color); ?>; color: <?php echo esc_attr($af_invoices_pdf_order_table_color); ?>;">
			<div style="width:45%; padding: 10px !important; display: inline-block;">
				<?php

				$default_height = '100px';


				$logo_height = !empty($af_invoices_pdf_header_logo_height) ? esc_attr($af_invoices_pdf_header_logo_height) . 'px' : $default_height;

				if (!empty($af_invoices_pdf_header_logo)) {
					?>
					<img style="width: 100px!important; height: <?php echo esc_attr($logo_height); ?>; margin-top:10px;"
					src="<?php echo esc_url($af_invoices_pdf_header_logo); ?>">
				<?php } ?>
			</div>

			<div style="padding:10px; width:45%; display: inline-block;">
				<h2 style="font-weight: bold; font-size: 25px; line-height: 35px; margin-bottom:5px;">
					<?php
					if (!empty($af_invoice_pdf_heading)) {
						echo esc_attr($af_invoice_pdf_heading);
					} else {
						echo esc_html__('Invoice Slip', 'af_pdf_invoices');
					}
					?>
				</h2>
			</div>


		</div>

		<body>


			<div class="af-invoices-pdf-wrapper" style="">
				<div class="">
					<section class="af-pdf-invoices-header" style="padding: 20px 0;">
						<div class="af-store-info-box" style="display: inline-block; width: 50%; vertical-align: top;">
							<?php if ('default' == $af_invoices_pdf_company_detail) : ?>
								<table>
									<?php if (!empty($af_pdf_invoice_comp_name)) : ?>
										<tr>
											<td>
												<?php echo esc_html__('Company', 'af_pdf_invoices'); ?>:
											</td>
											<td>
												<?php echo esc_attr($af_pdf_invoice_comp_name); ?>
											</td>
										</tr>
									<?php endif; ?>

									<?php if (!empty($af_pdf_invoice_company_address)) : ?>
										<tr>
											<td>
												<?php echo esc_html__('Address', 'af_pdf_invoices'); ?>:
											</td>
											<td>
												<?php echo esc_attr($af_pdf_invoice_company_address); ?>
											</td>
										</tr>
									<?php endif; ?>

									<tr>
										<td>
											<?php echo esc_html__('City', 'af_pdf_invoices'); ?>:
										</td>
										<td>
											<?php echo esc_attr(get_option('woocommerce_store_city')); ?>
										</td>
									</tr>
									<tr>
										<td>
											<?php echo esc_html__('Country', 'af_pdf_invoices'); ?>:
										</td>
										<td>
											<?php echo esc_attr(get_option('woocommerce_default_country')); ?>
										</td>
									</tr>
									<tr>
										<td>
											<?php echo esc_html__('VAT Number', 'af_pdf_invoices'); ?>:
										</td>
										<td>
											<?php echo esc_attr(get_option('af_invoices_vat_number')); ?>
										</td>
									</tr>
								</table>
							<?php endif; ?>
							<?php if ('custom' == $af_invoices_pdf_company_detail) : ?>
								<?php
								$af_invoices_pdf_custom_store_name = get_option('af_invoices_pdf_custom_store_name');
								$lines = explode("\n", $af_invoices_pdf_custom_store_name);
								?>
								<table>
									<?php
									foreach ($lines as $line) :
										if (strpos($line, ':') !== false) :
											list($label, $value) = explode(':', $line, 2);
											?>
											<tr style="padding: 10px 0;">
												<td>
													<?php echo esc_html(trim($label)); ?>:
												</td>
												<td>
													<?php echo esc_attr(trim($value)); ?>
												</td>
											</tr>
											<?php
										endif;
									endforeach;
									?>
									
								</table>
							<?php endif; ?>

						</div>

						<div class="af-pdf-invoices-info" style="display: inline-block; width: 40%; vertical-align:top;">

							<table>
									<?php
									$af_invoices_pdf_custom_store_name = get_option('af_invoices_display_invoice_number');

	$order_number = '685';  

									if ('no' === $af_invoices_pdf_custom_store_name) {
																	$display_value = '';
									} elseif ('order_number' === $af_invoices_pdf_custom_store_name) {
																$display_value = $order_number;  // Use dummy order number
									} elseif ('invoice_number' === $af_invoices_pdf_custom_store_name) {
															$af_invoice_padding = get_option('af_invoice_padding');


															$invoice_number = '1234';  
															$dummy_order_date = '2024-01-01';

															$padding_replaced = str_replace(
																array( '{order_id}', '{order_date}', '{invoice_number}' ),
																array( $order_number, $dummy_order_date, $invoice_number ),
																$af_invoice_padding
															);
															$display_value = $padding_replaced;
									} else {
														$display_value = '';
									}
									?>
<tr>
	<td><?php esc_html_e('Order Information:', 'af_pdf_invoices'); ?></td>
	<td><?php echo esc_html($display_value); ?></td>
</tr>

<?php
		if ('yes' == $af_invoices_order_date) {
			?>
	<tr>
		<td><?php esc_html_e('Date & Time:', 'af_pdf_invoices'); ?></td>
		<td>
			<?php

			$dummy_date = '01 Jan 2024';  
			$dummy_time = '12:34:56';  
			$dummy_timezone = 'UTC';  
			echo esc_attr("{$dummy_date} {$dummy_time} ({$dummy_timezone})");
			?>
		</td>
	</tr>
		<?php } ?>

<tr>
	<td style="font-size:13px; line-height: 23px;">
			<?php echo esc_html__('Payment Method:', 'af_pdf_invoices'); ?>
	</td>
	<td style="font-size:13px; line-height: 23px;">
			<?php echo esc_html_e('COD', 'af_pdf_invoices'); ?>
	</td>
</tr>
	<?php
		if ('yes' == $af_invoices_display_email_address) {
			?>
	<tr>
		<td style="font-size:13px; line-height: 23px;">
			<?php echo esc_html__('Email:', 'af_pdf_invoices'); ?>
		</td>
		<td style="font-size:13px; line-height: 23px;">
			<?php echo esc_html_e('addifytesting@gmail.com', 'af_pdf_invoices'); ?>
		</td>
	</tr>
		<?php } ?>
</table>
</div>
</section>
</div>
<div class="af-line-temp-mid-section" style="width: 100%; vertical-align: top; padding-bottom: 30px!important;">
	<div class="af-pdf-invoices-mid-sec-left" style="display: inline-block; width: 49%; vertical-align: top;">
		<h4
		style=" padding: 10px; background-color:<?php echo esc_attr($af_invoices_pdf_order_table_back_color); ?>; color: <?php echo esc_attr($af_invoices_pdf_order_table_color); ?>;">
		<?php echo esc_html__('Bill To', 'af_pdf_invoices'); ?>
	</h4>
	<ul style="list-style: none; padding: 0!important; margin: 0!important;">
		<li style="font-size: 14px; line-height: 24px; font-weight: normal;">
			<label><?php echo esc_html__('Invoice to:', 'af_pdf_invoices'); ?></label>
			<span><?php echo esc_html_e('Collier-Klocko', 'af_pdf_invoices'); ?></span>
		</li>

		<?php
		if ('yes' == $af_invoices_display_email_address) {
			?>
			<li style="font-size: 14px; line-height: 24px; font-weight: normal;">
				<label><?php echo esc_html__('E-Mail:', 'af_pdf_invoices'); ?></label><span><?php echo esc_html_e(' myra@gmail.com', 'af_pdf_invoices'); ?></span>
			</li>
			<?php
		}
		?>
		
		<li style="font-size: 14px; line-height: 24px; font-weight: normal;">
			<label><?php echo esc_html__('Address', 'af_pdf_invoices'); ?></label><span><?php echo esc_attr('381 Hulda Bypass ', 'af_pdf_invoices'); ?></span>
		</li>


	</ul>
</div>
	<?php
		if ('yes' == $af_invoices_pdf_shipping_date) {
			?>
	<div class="af-pdf-invoices-mid-sec-right" style="display: inline-block; width: 49%; vertical-align: top;">
		<h4
		style="background-color:<?php echo esc_attr($af_invoices_pdf_order_table_back_color); ?>; color: <?php echo esc_attr($af_invoices_pdf_order_table_color); ?>; padding: 10px;">
		<?php echo esc_html__('Ship To', 'af_pdf_invoices'); ?>
	</h4>
	<ul style="list-style: none; padding: 0!important; margin: 0!important;">
		<li style="font-size: 14px; line-height: 24px; font-weight: normal;">
			<label><?php echo esc_html__('Company Name:', 'af_pdf_invoices'); ?></label>
			<span><?php echo esc_html__(' Baumbach LLC', 'af_pdf_invoices'); ?></span>
		</li>



		<?php
			if ('yes' == $af_invoices_display_phone_number) {
				?>
			
			<li style="font-size: 14px; line-height: 24px; font-weight: normal;">
				<label><?php echo esc_html__('Contact Number:', 'af_pdf_invoices'); ?></label>
				<span><?php echo esc_html_e('+1-432-863-0673', 'af_pdf_invoices'); ?></span>
			</li>

			<?php } ?>


		<li style="font-size: 14px; line-height: 24px; font-weight: normal;">
			<label><?php echo esc_html__('Country Name:', 'af_pdf_invoices'); ?></label>
			<span><?php echo esc_attr('USA', 'af_pdf_invoices'); ?></span>
		</li>
		
	</ul>
</div>
		<?php } ?>
</section>

<section class="af-invoices-pdfs-contents" style="padding-top: 30px!important;">
	<table>
		<thead
		style="background-color: <?php echo esc_attr($af_invoices_pdf_order_table_back_color); ?>; color: <?php echo esc_attr($af_invoices_pdf_order_table_color); ?>;">
		<tr style="text-align:center;">
			<th
			style=" background-color: <?php echo esc_attr($af_invoices_pdf_order_table_back_color); ?>; color: <?php echo esc_attr($af_invoices_pdf_order_table_color); ?>; width:20%; text-align:center; color: <?php echo esc_attr($af_invoices_pdf_order_table_color); ?>">
			<?php echo esc_html__('Image', 'af_pdf_invoices'); ?>
		</th>
		<th
		style=" background-color: <?php echo esc_attr($af_invoices_pdf_order_table_back_color); ?>; color: <?php echo esc_attr($af_invoices_pdf_order_table_color); ?>; width:20%; text-align:center; color: <?php echo esc_attr($af_invoices_pdf_order_table_color); ?>">
			<?php echo esc_html__('Product Name', 'af_pdf_invoices'); ?>
	</th>
	<th
	style=" background-color: <?php echo esc_attr($af_invoices_pdf_order_table_back_color); ?>; color: <?php echo esc_attr($af_invoices_pdf_order_table_color); ?>; width:20%; text-align:center;color: <?php echo esc_attr($af_invoices_pdf_order_table_color); ?>">
		<?php echo esc_html__('QTY', 'af_pdf_invoices'); ?>
</th>
<th
style="  background-color: <?php echo esc_attr($af_invoices_pdf_order_table_back_color); ?>; color: <?php echo esc_attr($af_invoices_pdf_order_table_color); ?>; width:20%; text-align:center; color: <?php echo esc_attr($af_invoices_pdf_order_table_color); ?>">
	<?php echo esc_html__('Price', 'af_pdf_invoices'); ?>
</th>
<th
style=" background-color: <?php echo esc_attr($af_invoices_pdf_order_table_back_color); ?>; color: <?php echo esc_attr($af_invoices_pdf_order_table_color); ?>; width:20%; text-align:center; color: <?php echo esc_attr($af_invoices_pdf_order_table_color); ?>">
	<?php echo esc_html__('Total', 'af_pdf_invoices'); ?>
</th>

</tr>
</thead>
<tbody>
	<tr style="text-align:center;">
		<td>	<img style="height: 50px; margin-left: 20px;text-align: center;" 
					src="<?php echo esc_url($af_invoices_pdf_header_logo); ?>"> </td>
			<td style="text-align:center;">Album</td>
			<td style="width:20%; text-align:center;">
				<?php echo esc_html__('1', 'af_pdf_invoices'); ?>
			</td>
			<td style="width:20%; text-align:center;">
				<?php echo esc_html__('$10', 'af_pdf_invoices'); ?>
			</td>
			<td style="width:20%; text-align:center;">
				<?php echo esc_html__('$10', 'af_pdf_invoices'); ?>
			</td>

		</tr>
	</tbody>
</table>

</section>
<section class="af-invoice-subtotal-section"
style=" width:200px; float: right; background-color:<?php echo esc_attr($af_invoices_pdf_order_table_back_color); ?>: color:<?php echo esc_attr($af_invoices_pdf_order_table_color); ?>">
<div class="af-pdf-logo"></div>
<div class="af-invoice-subtotal"
style="width:100%; background-color:<?php echo esc_attr($af_invoices_pdf_order_table_back_color); ?>: color:<?php echo esc_attr($af_invoices_pdf_order_table_color); ?>  ?> ;">
<ul style="list-style:none; padding: 0!important; margin:0!important; ">
	<li>
		<p>
			<label style="width: 50%; display: inline-block;">
				<?php esc_html_e('Tax', 'af_pdf_invoices'); ?>
			</label>
			<font>
				<?php echo esc_html__('0', 'af_pdf_invoices'); ?>
			</font>
		</p>
	</li>
	<li>
		<p>
			<label style="width: 50%; display: inline-block;">
				<?php esc_html_e('Subtotal', 'af_pdf_invoices'); ?>
			</label>
			<font>
				<?php echo esc_html__('$10', 'af_pdf_invoices'); ?>
			</font>
		</p>
	</li>
	<li>
		<p>
			<label style="width: 50%; display: inline-block;">
				<?php esc_html_e('Discount', 'af_pdf_invoices'); ?>
			</label>
			<font>
				<?php echo esc_html__('$0', 'af_pdf_invoices'); ?>
			</font>
		</p>
	</li>
	<li>
		<p class="af-invoice-total-label">
			<label style="width: 50%; display: inline-block;">
				<?php esc_html_e('Total', 'af_pdf_invoices'); ?>
			</label>
			<font>
				<?php echo esc_html__('$10', 'af_pdf_invoices'); ?>
			</font>
		</p>
	</li>

</ul>
</div>
</section>
</div>

<div id="af_pdf-invoices-footer"
style="background-color:<?php echo esc_attr($af_invoices_pdf_footer_background_color); ?>;color:<?php echo esc_attr($af_invoices_pdf_footer_text_color); ?>;">
<table style="width:100%; padding:20px;">
		<?php
		$af_invoices_pdf_note_footer = get_option('af_invoices_pdf_note_footer');
		if (!empty($af_invoices_pdf_note_footer)) {
			?>
		<tr>
			<th style="text-align:left; padding-left: 0;"><?php echo esc_html__('Note :', 'af_pdf_invoices'); ?>
		</th>
		<td><?php echo esc_attr($af_invoices_pdf_note_footer); ?></td>
	</tr>
		<?php
		}
	$af_invoices_pdf_term_condition = get_option('af_invoices_pdf_term_condition');
		if (!empty($af_invoices_pdf_term_condition)) {
			?>
	<tr>
		<th style="text-align:left; padding-left: 0;">
			<?php echo esc_html__('Terms and Conditions', 'af_pdf_invoices'); ?>
		</th>
		<td>
			<?php echo wp_kses_post($af_invoices_pdf_term_condition); ?>
		</td>
	</tr>
		<?php } ?>
</table>
</div>
</body>

</html>

	<?php
	return ob_get_clean();
	}









	public function download_credit_note_pdf() {
		if (!isset($_GET['order_id']) || !isset($_GET['_wpnonce']) || !wp_verify_nonce(sanitize_text_field($_GET['_wpnonce']), 'download_credit_note_pdf')) {
			wp_die(esc_html__('Invalid request', 'af_pdf_invoices'));
		}


		$order_id = intval($_GET['order_id']);
		$this->addify_generate_and_download_credit_note(array( $order_id ));
		exit;
	}

	public function addify_generate_and_download_credit_note( $order_id ) {

    if (!isset($_REQUEST['_wpnonce']) || !wp_verify_nonce(sanitize_text_field($_REQUEST['_wpnonce']), 'download_credit_note_pdf')) {
        die('Invalid request');
    }

    require_once PDF_PLUGIN_DIR . 'vendor/autoload.php'; 

    $order = wc_get_order($order_id);
    if (!$order) {
        return;
    }

  
    $af_pdf_invoices_credit_note_option = get_option('af_pdf_invoices_credit_note_option', 'default');

 
    $default_base_dir = PDF_PLUGIN_DIR . 'includes/templates/credit-note';

    if ( 'customize' == $af_pdf_invoices_credit_note_option ) {
      
        $af_credit_note_pdf_select_design = get_option('af_pdf_invoices_credit_note_design');
       
        if (substr($af_credit_note_pdf_select_design, -4) !== '.php') {
            $af_credit_note_pdf_select_design .= '.php';
        }

   
        $base_dir = $default_base_dir;
        $template_file = $base_dir . '/' . $af_credit_note_pdf_select_design;
        
        if (!file_exists($template_file)) {
            die('Credit note template not found.');
        }

    
        ob_start();
        include $template_file;
        $af_credit_note_pdf = ob_get_clean();

      
        $options = new Options();
        $options->set('isPhpEnabled', true);
        $options->set('isRemoteEnabled', true);
        $options->set('defaultPaperSize', 'letter');
        $options->set('isHtml5ParserEnabled', true);

        $dompdf = new Dompdf($options);
        $dompdf->loadHtml($af_credit_note_pdf);
        $dompdf->setPaper('A4', 'portrait');
        $dompdf->render();

        $dompdf->stream('credit-note-' . $order_id . '.pdf', array('Attachment' => 1));

    } else {
    
        $this->generate_and_download_pdf_invoice( $order_id );
    }
}
public function generate_and_download_pdf_invoice( $order_id ) {
       require PDF_PLUGIN_DIR . 'vendor/autoload.php';


		$order = wc_get_order($order_id);
		if (!$order) {
			return;
		}

		$custom_base_dir = WP_CONTENT_DIR . '/addify-pdf-invoices-and-packing-slip/pdf-invoices';
		$default_base_dir = PDF_PLUGIN_DIR . 'includes/templates/pdf';
		$default_design = 'temp1.php';

		if (!file_exists($custom_base_dir) || !is_dir($custom_base_dir)) {
			$base_dir = $default_base_dir;
		} else {
			$base_dir = $custom_base_dir;
		}

		$af_invoice_pdf_select_design = get_option('af_invoice_pdf_select_design') ? get_option('af_invoice_pdf_select_design') : $default_design;

		if (substr($af_invoice_pdf_select_design, -4) !== '.php') {
			$af_invoice_pdf_select_design .= '.php';
		}

		if (!file_exists($base_dir . '/' . $af_invoice_pdf_select_design)) {
			if (file_exists($default_base_dir . '/' . $af_invoice_pdf_select_design)) {
				$base_dir = $default_base_dir;
			} else {
				$af_invoice_pdf_select_design = $default_design;
				$base_dir = $default_base_dir;
			}
		}

		ob_start();
		include $base_dir . '/' . $af_invoice_pdf_select_design;
		$af_invoice_pdf = ob_get_clean();

		$options = new Options();
			$options->set('isPhpEnabled', 'true');
			$options->set('isRemoteEnabled', true);
			$options->set('defaultPaperSize', 'letter');
			$options->set('isHtml5ParserEnabled', true);

			$dompdf = new Dompdf($options);
		$dompdf->loadHtml($af_invoice_pdf);
		$dompdf->setPaper('A4', 'Portrait');
		$dompdf->render();
		$dompdf->stream('invoice-' . $order_id . '.pdf', array( 'Attachment' => 1 ));
	}






	public function attach_credit_note_to_refund_order_email( $attachments, $email_id, $order ) {
		$af_pdf_invoices_credit_note_option = get_option('af_pdf_invoices_credit_note_option');


		if ('customer_refunded_order' == $email_id) {

			if ('customize' === $af_pdf_invoices_credit_note_option) {

				$af_pdf_invoices_credit_note_design = get_option('af_pdf_invoices_credit_note_design') ? get_option('af_pdf_invoices_credit_note_design') : 'credit_note_temp1';
				$base_dir = PDF_PLUGIN_DIR . 'includes/templates/credit-note';
				$template_path = $base_dir . '/' . $af_pdf_invoices_credit_note_design;

				if (!file_exists($template_path)) {
					return $attachments;
				}

				ob_start();
				include $template_path;
				$af_credit_note = ob_get_clean();

				require PDF_PLUGIN_DIR . 'vendor/autoload.php';

				$options = new \Dompdf\Options();
				$options->set('isPhpEnabled', true);
				$options->set('isRemoteEnabled', true);
				$options->set('defaultPaperSize', 'letter');
				$options->set('isHtml5ParserEnabled', true);

				$dompdf = new \Dompdf\Dompdf($options);
				$dompdf->loadHtml($af_credit_note);
				$dompdf->setPaper('A4', 'portrait');
				$dompdf->render();

				$output = $dompdf->output();
				$basedir = wp_upload_dir()['basedir'];
				$directory = $basedir . '/addify-pdf-invoices/';
				wp_mkdir_p($directory);
				$pdf_path = $directory . 'invoice-' . $order->get_id() . '.pdf';

				if (file_exists($pdf_path)) {
					unlink($pdf_path);
				}

				file_put_contents($pdf_path, $output);
				$attachments[] = $pdf_path;

			} elseif ('default' == $af_pdf_invoices_credit_note_option) {


				$custom_base_dir = WP_CONTENT_DIR . '/addify-pdf-invoices-and-packing-slip/pdf-invoices';
				$default_base_dir = PDF_PLUGIN_DIR . 'includes/templates/pdf';
				$default_design = 'temp1.php';

				if (!file_exists($custom_base_dir) || !is_dir($custom_base_dir)) {
					$base_dir = $default_base_dir;
				} else {
					$base_dir = $custom_base_dir;
				}

				$af_invoice_pdf_select_design = get_option('af_invoice_pdf_select_design') ? get_option('af_invoice_pdf_select_design') : $default_design;

				if (substr($af_invoice_pdf_select_design, -4) !== '.php') {
					$af_invoice_pdf_select_design .= '.php';
				}

				if (!file_exists($base_dir . '/' . $af_invoice_pdf_select_design)) {
					if (file_exists($default_base_dir . '/' . $af_invoice_pdf_select_design)) {
						$base_dir = $default_base_dir;
					} else {
						$af_invoice_pdf_select_design = $default_design;
						$base_dir = $default_base_dir;
					}
				}

				ob_start();
				include $base_dir . '/' . $af_invoice_pdf_select_design;
				$af_invoice_pdf = ob_get_clean();

				require PDF_PLUGIN_DIR . 'vendor/autoload.php';

				$options = new \Dompdf\Options();
				$options->set('isPhpEnabled', true);
				$options->set('isRemoteEnabled', true);
				$options->set('defaultPaperSize', 'letter');
				$options->set('isHtml5ParserEnabled', true);

				$dompdf = new \Dompdf\Dompdf($options);
				$dompdf->loadHtml($af_invoice_pdf);
				$dompdf->setPaper('A4', 'portrait');
				$dompdf->render();

				$output = $dompdf->output();
				$basedir = wp_upload_dir()['basedir'];
				$directory = $basedir . '/addify-pdf-invoices/';
				wp_mkdir_p($directory);
				$pdf_path = $directory . 'invoice-' . $order->get_id() . '.pdf';

				if (file_exists($pdf_path)) {
					unlink($pdf_path);
				}

				file_put_contents($pdf_path, $output);
				$attachments[] = $pdf_path;

			}
		}

		return $attachments;
	}


	public function af_pdf_invoices_adding_meta() {
		$current_screen = get_current_screen();

		if ('woocommerce_page_wc-orders' === $current_screen->id || 'shop_order' === $current_screen->id) {
			add_meta_box(
			'af_pdf_invoices',
			esc_html__('Addify PDF Invoices', 'custom-messages'),
			array( $this, 'af_pdf_invoices_order_pdf' ),
			$current_screen->id,
			'side',
			'default'
			);
		}
	}
	public function af_pdf_invoices_order_pdf( $post ) {
		$order = wc_get_order($post->ID);
		if ($order) {
			$order_id = $order->get_id();
			$order_status = $order->get_status();

			if ('refunded' === $order_status) {
				$download_credit_note_url = wp_nonce_url(admin_url('admin-ajax.php?action=download_credit_note_pdf&order_id=' . $order_id), 'download_credit_note_pdf');
				echo '<a href="' . esc_url($download_credit_note_url) . '" class="button button-primary" style=" margin-top: 10px;"><i class="fa fa-download" aria-hidden="true"></i> ' . esc_html__('Download Credit Note', 'af_pdf_invoices') . '</a>';
			} else {
				$download_invoice_url = wp_nonce_url(admin_url('admin-ajax.php?action=download_invoice_pdf&order_id=' . $order_id), 'download_invoice_pdf');
				echo '<a href="' . esc_url($download_invoice_url) . '" class="button button-primary"><i class="fa fa-download" aria-hidden="true"></i> ' . esc_html__('Download PDF', 'af_pdf_invoices') . '</a>';
				$download_packing_slip_url = wp_nonce_url(admin_url('admin-ajax.php?action=download_packing_slip_pdf&order_id=' . $order_id), 'download_packing_slip_pdf');
				echo '<a href="' . esc_url($download_packing_slip_url) . '" class="button button-primary" style=" margin-top: 10px;"><i class="fa fa-download" aria-hidden="true"></i> ' . esc_html__('Download Packing Slip', 'af_pdf_invoices') . '</a>';
			}
		}
	}






	public function addify_generate_and_download_zip_invoices( $order_ids ) {




		$custom_base_dir = WP_CONTENT_DIR . '/addify-pdf-invoices-and-packing-slip/pdf-invoices';
		$default_base_dir = PDF_PLUGIN_DIR . 'includes/templates/pdf';
		$default_design = 'temp1.php';
		if (!file_exists($custom_base_dir) || !is_dir($custom_base_dir)) {
			$base_dir = $default_base_dir;
		} else {
			$base_dir = $custom_base_dir;
		}
		$zip = new ZipArchive();
		$zip_filename = tempnam(sys_get_temp_dir(), 'invoices') . '.zip';

		if ($zip->open($zip_filename, ZipArchive::CREATE) !== true) {
			// Translators: %s is the filename of the ZIP file that could not be opened.
			wp_die(esc_html(sprintf(__('Cannot open %s', 'af_pdf_invoices'), $zip_filename)));

		}
		foreach ($order_ids as $order_id) {
			$order = wc_get_order($order_id);
			if (!$order) {
				continue;
			}
			$af_invoice_pdf_select_design = get_option('af_invoice_pdf_select_design');
			if (!$af_invoice_pdf_select_design) {
				$af_invoice_pdf_select_design = $default_design;
			} else {
				if (substr($af_invoice_pdf_select_design, -4) !== '.php') {
					$af_invoice_pdf_select_design .= '.php';
				}
				if (!file_exists($base_dir . '/' . $af_invoice_pdf_select_design)) {

					if (file_exists($default_base_dir . '/' . $af_invoice_pdf_select_design)) {
						$base_dir = $default_base_dir;
					} else {
						$af_invoice_pdf_select_design = $default_design;
						$base_dir = $default_base_dir;
					}
				}
			}
			$file_to_include = $base_dir . '/' . $af_invoice_pdf_select_design;
			ob_start();
			include $file_to_include;
			$af_invoice_pdf = ob_get_clean();

			$options = new Options();
			$options->set('isPhpEnabled', true);
			$options->set('isRemoteEnabled', true);
			$options->set('defaultPaperSize', 'letter');
			$options->set('isHtml5ParserEnabled', true);

			$dompdf = new Dompdf($options);
			$dompdf->loadHtml($af_invoice_pdf);
			$dompdf->setPaper('A4', 'portrait');
			$dompdf->render();

			$pdf_output = $dompdf->output();
			$zip->addFromString('invoice-' . $order_id . '.pdf', $pdf_output);
		}

		$zip->close();

		header('Content-Type: application/zip');
		header('Content-disposition: attachment; filename=invoices.zip');
		header('Content-Length: ' . filesize($zip_filename));
		readfile($zip_filename);
		unlink($zip_filename);
		exit;
	}

	public function addify_bulk_download_invoices_action() {

		if (!isset($_GET['bulk_download_invoices'], $_GET['order_ids'], $_GET['_wpnonce'])) {
			return;
		}

		if (!isset($_GET['_wpnonce']) || !wp_verify_nonce(sanitize_text_field($_GET['_wpnonce']), 'bulk_download_invoices')) {
			return;
		}



		$order_ids_raw = isset($_GET['order_ids']) ? sanitize_text_field($_GET['order_ids']) : '';

	$order_ids = array_filter(array_map('intval', explode(',', $order_ids_raw))); // Convert each to an integer

		if (empty($order_ids)) {
			return;
		}


	$this->addify_generate_and_download_zip_invoices($order_ids);
	exit;
	}
	public function addify_handle_bulk_actions( $redirect_to, $do_action, $post_ids ) {
		if ( 'download_pdfs' == $do_action ) {
			if (!empty($post_ids)) {
				$nonce = wp_create_nonce('bulk_download_invoices');
				$order_ids = implode(',', $post_ids);
				$redirect_to = add_query_arg(array(
					'bulk_download_invoices' => 1,
					'order_ids' => $order_ids,
					'_wpnonce' => $nonce,
				), $redirect_to);
			}
		}
		return $redirect_to;
	}
	public function addify_invoice_pdf_bulk_action( $bulk_actions ) {
		$bulk_actions['download_pdfs'] = ' Addify download PDF invoices';
		return $bulk_actions;
	}

public function source_medium_value( $column, $order ) {
    $af_invoices_allow_invoice_download = get_option('af_invoices_allow_invoice_download');

    if ('yes' === $af_invoices_allow_invoice_download && 'wc_actions' === $column) {

        $order_status = $order->get_status();
        
          

        // Check if the order status is not 'refund'
        if ('refunded' !== $order_status) {
            
            $download_url = wp_nonce_url(admin_url('admin-ajax.php?action=download_invoice_pdf&order_id=' . $order->get_id()), 'download_invoice_pdf');
           
            echo '<a href="' . esc_url($download_url) . '"><i class="fa fa-download" aria-hidden="true"></i></a>';
        }
    }
}


	public function addify_handle_download_packing_slip_pdf() {

		if (!isset($_GET['order_id']) || empty($_GET['order_id'])) {
			wp_die(esc_html__('Order ID is missing.', 'af_pdf_invoices'));
		}

		$order_id = intval($_GET['order_id']);


		$this->k(array( $order_id ));

		exit;
	}
	public function addify_handle_download_invoice_pdf() {
		if (!isset($_GET['order_id']) || empty($_GET['order_id'])) {
			wp_die(esc_html__('Order ID is missing.', 'af_pdf_invoices'));
		}
		$order_id = intval($_GET['order_id']);
		$this->addify_generate_and_download_pdf_invoice(array( $order_id ));

		exit;
	}

	public function addify_generate_and_download_pdf_invoice( $order_ids_array ) {
		$custom_base_dir = WP_CONTENT_DIR . '/addify-pdf-invoices-and-packing-slip/pdf-invoices';
		$default_base_dir = PDF_PLUGIN_DIR . 'includes/templates/pdf';
		$default_design = 'temp1.php';


		if (!file_exists($custom_base_dir) || !is_dir($custom_base_dir)) {
			$base_dir = $default_base_dir;
		} else {
			$base_dir = $custom_base_dir;
		}

		$af_invoice_pdf_select_design = get_option('af_invoice_pdf_select_design');

		if (!$af_invoice_pdf_select_design) {
			$af_invoice_pdf_select_design = $default_design;
		} else {
			if (substr($af_invoice_pdf_select_design, -4) !== '.php') {
				$af_invoice_pdf_select_design .= '.php';
			}

			if (!file_exists($base_dir . '/' . $af_invoice_pdf_select_design)) {

				if (file_exists($default_base_dir . '/' . $af_invoice_pdf_select_design)) {
					$base_dir = $default_base_dir;
				} else {
					$af_invoice_pdf_select_design = $default_design;
					$base_dir = $default_base_dir;
				}
			}
		}


		foreach ((array) $order_ids_array as $order_id) {
			$order = wc_get_order($order_id);
			if (!$order) {
				continue;
			}

			$file_to_include = $base_dir . '/' . $af_invoice_pdf_select_design;


			ob_start();
			include $file_to_include;
			$af_invoice_pdf = ob_get_clean();

			$options = new Options();
			$options->set('isPhpEnabled', 'true');
			$options->set('isRemoteEnabled', true);
			$options->set('defaultPaperSize', 'letter');
			$options->set('isHtml5ParserEnabled', true);

			$dompdf = new Dompdf($options);
			$dompdf->loadHtml($af_invoice_pdf);
			$dompdf->setPaper('A4', 'Portrait');
			$dompdf->render();
			$dompdf->stream('invoice-' . $order_id . '.pdf', array( 'Attachment' => 1 ));
		}
	}



	public  function k( $order_ids_array ) {
		$custom_base_dir = WP_CONTENT_DIR . '/addify-pdf-invoices-and-packing-slip/packing-slip';
		$default_base_dir = PDF_PLUGIN_DIR . 'includes/templates/packing-slip';
		$default_design = 'packing_slip_temp1.php';


		if (!file_exists($custom_base_dir) || !is_dir($custom_base_dir)) {

			$base_dir = $default_base_dir;
		} else {
			$base_dir = $custom_base_dir;
		}


		$af_pdf_invoices_packing_slip_design = get_option('af_pdf_invoices_packing_slip_design');


		if (!$af_pdf_invoices_packing_slip_design) {
			$af_pdf_invoices_packing_slip_design = $default_design;
		} else {

			if (substr($af_pdf_invoices_packing_slip_design, -4) !== '.php') {
				$af_pdf_invoices_packing_slip_design .= '.php';
			}


			if (!file_exists($base_dir . '/' . $af_pdf_invoices_packing_slip_design)) {



				if (file_exists($default_base_dir . '/' . $af_pdf_invoices_packing_slip_design)) {

					$base_dir = $default_base_dir;
				} else {

					$af_pdf_invoices_packing_slip_design = $default_design;
					$base_dir = $default_base_dir;
				}
			}
		}



		foreach ((array) $order_ids_array as $order_id) {
			$order = wc_get_order($order_id);
			if (!$order) {
				continue;
			}

			$file_to_include = $base_dir . '/' . $af_pdf_invoices_packing_slip_design;



			ob_start();
			include $file_to_include;
			$af_invoice_packing_slip = ob_get_clean();

			$options = new Options();
			$options->set('isPhpEnabled', 'true');
			$options->set('isRemoteEnabled', true);
			$options->set('defaultPaperSize', 'letter');
			$options->set('isHtml5ParserEnabled', true);

			$dompdf = new Dompdf($options);
			$dompdf->loadHtml($af_invoice_packing_slip);
			$dompdf->setPaper('A4', 'Portrait');
			$dompdf->render();
			$dompdf->stream('packing-slip-' . $order_id . '.pdf', array( 'Attachment' => 1 ));
		}
	}





	public function af_pdf_invoice_to_order_email( $attachments, $email_id, $order ) {
		$af_invoices_pdf_select_email = (array) get_option('af_invoices_pdf_select_email');
		$af_pdf_invoices_email = array_map('strtolower', $af_invoices_pdf_select_email);
		if (in_array(strtolower('wc_email_' . $email_id), $af_pdf_invoices_email)) {

			$custom_base_dir = WP_CONTENT_DIR . '/addify-pdf-invoices-and-packing-slip/pdf-invoices';
			$default_base_dir = PDF_PLUGIN_DIR . 'includes/templates/pdf';
			$default_design = 'temp1.php';
			if (!file_exists($custom_base_dir) || !is_dir($custom_base_dir)) {
				$base_dir = $default_base_dir;
			} else {
				$base_dir = $custom_base_dir;
			}
			$af_invoice_pdf_select_design = get_option('af_invoice_pdf_select_design') ? get_option('af_invoice_pdf_select_design') : $default_design;
			if (substr($af_invoice_pdf_select_design, -4) !== '.php') {
				$af_invoice_pdf_select_design .= '.php';
			}
			if (!file_exists($base_dir . '/' . $af_invoice_pdf_select_design)) {
				if (file_exists($default_base_dir . '/' . $af_invoice_pdf_select_design)) {
					$base_dir = $default_base_dir;
				} else {
					$af_invoice_pdf_select_design = $default_design;
					$base_dir = $default_base_dir;
				}
			}

			ob_start();
			include $base_dir . '/' . $af_invoice_pdf_select_design;
			$af_invoice_pdf = ob_get_clean();

			require PDF_PLUGIN_DIR . 'vendor/autoload.php';

			$options = new Options();
			$options->set('isPhpEnabled', true);
			$options->set('isRemoteEnabled', true);
			$options->set('defaultPaperSize', 'letter');
			$options->set('isHtml5ParserEnabled', true);

			$dompdf = new Dompdf($options);
			$dompdf->loadHtml($af_invoice_pdf);
			$dompdf->setPaper('A4', 'Portrait');
			$dompdf->render();

			$output = $dompdf->output();
			$basedir = wp_upload_dir()['basedir'];
			$directory = $basedir . '/addify-pdf-invoices/';
			wp_mkdir_p($directory);
			$pdf_path = $directory . 'invoice-' . $order->get_id() . '.pdf';

			if (file_exists($pdf_path)) {
				unlink($pdf_path);
			}
			file_put_contents($pdf_path, $output);
			$attachments[] = $pdf_path;

		}

		return $attachments;
	}


	public function addify_invoices_fields_style() {

		wp_enqueue_media();
		wp_enqueue_script('jquery');
		wp_enqueue_script('wp-tinymce');
	

		wp_enqueue_style('select2-css', plugins_url('assets/css/select2.css', WC_PLUGIN_FILE), array(), '5.7.2');

		wp_enqueue_style('msc-admin-css', PDFI_URL . '/includes/assest/css/admin.css', false, '1.1.0');


		wp_enqueue_script('select2-js', plugins_url('assets/js/select2/select2.min.js', WC_PLUGIN_FILE), array( 'jquery' ), '4.0.3', true);



		wp_enqueue_script('pdf_admin', PDFI_URL . 'includes/assest/js/admin.js', false, '1.0.0');
		wp_enqueue_style('af_mli_font_awesome', 'https://maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css', false, '4.7.0', false);

		$aurgs = array(
			'admin_url' => admin_url('admin-ajax.php'),
			'temp1.php' => af_pdf_invoices_temp1(),
			'temp2.php' => af_pdf_invoices_temp2(),
			'temp3.php' => af_pdf_invoices_temp3(),
		);

		wp_localize_script('pdf_admin', 'af_pdf_invoice', $aurgs);
	}

	public function invoices_pdf_regester_general_setting() {

		include PDF_PLUGIN_DIR . 'includes/settings/pdf_invoices_settings.php';
		include PDF_PLUGIN_DIR . 'includes/settings/credit_note_setting.php';
		include PDF_PLUGIN_DIR . 'includes/settings/packing_slip_setting.php';
	}



	public function addify_invoices_submenu() {
		add_submenu_page(
		'woocommerce',
		'WooCommerce invoices Settings',
		'Pdf invoices',
		'manage_options',
		'invoices-settings',
		 array( $this, 'invoices_render_custom_submenu' ) // callback

		);
	}
	public function invoices_render_custom_submenu() {
		$active_tab = isset($_GET['tab']) ? sanitize_text_field($_GET['tab']) : 'general';
		$section = isset($_GET['section']) ? sanitize_text_field($_GET['section']) : 'layout';

		?>
	<div class="wrap">


		<form method="post" action="options.php">
			<?php

			switch ($active_tab) {
				case 'general':
					?>
				<ul class="subsubsub" style="margin: 0 !important;">
					<li>
						<a class="<?php echo 'layout' === $section ? 'current' : ''; ?>"
							href="<?php echo esc_url(admin_url('admin.php?page=invoices-settings&section=layout')); ?>">Layout</a>
						</li>
						|
						<li>
							<a class="<?php echo 'data-settings' === $section ? 'current' : ''; ?>"
								href="<?php echo esc_url(admin_url('admin.php?page=invoices-settings&section=data-settings')); ?>">Data
							Settings</a>
						</li>
					</ul>
					<?php
					if ('layout' === $section) {
						settings_fields('addify_invoices_pdf_general_settings_fields');
						do_settings_sections('addify_invoices_pdf_general_settings_sections');
						submit_button();
					} elseif ('data-settings' === $section) {
						settings_fields('addify_invoices_pdf_data_settings_fields');
						do_settings_sections('addify_invoices_pdf_data_settings_sections');
						submit_button();
					}
					break;
				case 'credit_note_setting':
					settings_fields('addify_invoices_pdf_credit_note_fields');
					do_settings_sections('addify_invoices_pdf_credit_note_sections');
					submit_button();
					break;


				case 'packing_slip_setting':
					settings_fields('addify_invoices_pdf_packing_slip_fields');
					do_settings_sections('addify_invoices_pdf_packing_slip_sections');
					submit_button();
					break;

			}
			?>
			</form>
		</div>
			<?php
	}







	public function invoices_display_tabs() {
		global $post, $typenow;
		$screen = get_current_screen();
		if ($screen && in_array($screen->id, $this->invoices_get_tab_screen_ids(), true)) {

			$tabs = array(

				'general_setting' => array(
					'title' => __('Pdf invoices settings', 'invoices_for_woo'),
					'url' => admin_url('admin.php?page=invoices-settings'),
				),
				'credit_note_setting' => array(
					'title' => __('Credit notes settings', 'invoices_for_woo'),
					'url' => admin_url('admin.php?page=invoices-settings&tab=credit_note_setting'),
				),

				'packing_slip_setting' => array(
					'title' => __('Packing slip settings', 'invoices_for_woo'),
					'url' => admin_url('admin.php?page=invoices-settings&tab=packing_slip_setting'),
				),





			);

			if (is_array($tabs)) {
				?>
				<div class="wrap woocommerce">
					<h2 class="nav-tab-wrapper woo-nav-tab-wrapper">
						<?php
						$current_tab = $this->invoices_get_current_tab();
						foreach ($tabs as $id => $tab_data) {
							$class = $id === $current_tab ? array( 'nav-tab', 'nav-tab-active' ) : array( 'nav-tab' );
							printf('<a href="%1$s" class="%2$s">%3$s</a>', esc_url($tab_data['url']), implode(' ', array_map('sanitize_html_class', $class)), esc_html($tab_data['title']));
						}
						?>
					</h2>
				</div>
				<?php
			}
		}
	}
	public function invoices_get_tab_screen_ids() {
		$tabs_screens = array(
			'city_invoices_for_woo',
			'edit-city_invoices_for_woo',
			'pages',
			'edit-pages',
			'invoices_for_user',
			'edit-invoices_for_user',
			'woocommerce_page_invoices-settings',
		);
		return $tabs_screens;
	}


	public function invoices_get_current_tab() {
		$screen = get_current_screen();
		$screen_id = $screen->id;

		if ('woocommerce_page_invoices-settings' == $screen_id) {
			$screen_id = isset($_GET['tab']) ? sanitize_text_field($_GET['tab']) : 'general';
		}

		switch ($screen_id) {

			case 'general':
				return 'general_setting';
			case 'credit_note_setting':
				return 'credit_note_setting';
			case 'packing_slip_setting':
				return 'packing_slip_setting';




		}
	}
	public function af_pdf_invoice_generate_preview_temp1() {
   ob_start();
		?>
		<style type="text/css">
			#af_inv_proforma_note,
			#af_pdf_invoices_footer {
				font-size: 10pt !important;
			}

			#af_pdf_invoices_footer {

				display: block !important;
				width: 100%;
				background-color: #220053;
				color: white;
			}

			.container {
				width: 100%;
				margin: 0;
				position: relative;
			}

			.row {
				width: 100%;
			}

			.col-6 {
				text-align: center;
				width: 100%;
			}

			.col-6 .text {
				padding: 0px 57px 0px 20px;
				color: black;
				margin: 0px;
			}

			.afcea-img img {
				height: auto;
				width: 130px;
				display: block;
				margin: 0px;
				background: transparent;
			}

			.pdf-table .header_text {
				border-top-left-radius: 25px;
				padding: 20px 0px 30px 17px;
			}

			.header_text h4 {
				padding: 0;
				margin: 0;
				float: left;
			}

			.pdf-table {
				width: 100%;
				max-width: 625px;
				margin: 20px auto;
			}

			.pdf-table table {
				font-family: arial, sans-serif;
				width: 100%;
			}

			.pdf-table th {
				background-color: #0668ac;
				width: 40%;
			}

			.pdf-table td {
				padding: 7px 15px;
				border: 1px solid #dddddd;
			}

			.pdf-table tr:nth-child(even) {
				background-color: #dddddd;
			}


			.container footer {
				font-size: 18px;
				line-height: 22px;
				width: 100%;
				position: fixed;
				bottom: 0px;
				color: black;
				text-align: center;
			}

			.af-pdf-invoices-info {
				width: 100%;
				max-width: 1000px;
				position: relative;
				margin: 0 auto;
				display: block;
				font-family: 'Poppins', sans-serif !important;
				color: white;
			}

			.af-invoice-pdf ul {
				list-style: none;
				padding: 0;
				margin: 0;
			}

			.af-invoices-pdf-header {
				display: table;
				width: 100%;
				padding: 15px 20px;
				background-color:
				<?php echo esc_attr(get_option('af_invoices_pdf_header_background_color')); ?>
				;
				/* color: white; */
				box-sizing: border-box;
			}

			.af-pdf-invoices-store-info {
				width: 70%;
				vertical-align: top;
				display: table-cell;
				text-align: left;
			}

			.af-pdf-invoices-store-info h3 {
				font-size: 16px;
				line-height: 26px;
				color: #000;
				font-weight: bold;
				margin: 0 0 15px;
			}

			.af-pdf-invoices-store-info li {
				display: inline-block;
				vertical-align: top;
				margin-right: 15px;
			}

			.af-pdf-invoices-store-info p {
				margin-right: 0px;
			}

			.af-pdf-invoices-store-info img {
				max-width: 100px;
			}



			.af-invoices-pdf-header p {
				font-size: 14px;
				line-height: 24px;
			}

			.af-pdf-invoices-info {
				display: table-cell;
				width: 30%;
				vertical-align: top;
				text-align: left;
			}

			.af-pdf-invoices-info table {
				color: white;
				text-align: left;
			}

			.af-pdf-invoices-info table tr td {
				width: 40%;
				padding: 5px 10px !important;
				font-size: 14px;
				line-height: 24px;
			}

			.af-pdf-invoices-info h2 {
				font-size: 20px;
				line-height: 42px;
				margin: 0 0 15px;
				
				font-weight: bold;
				test-align: left;
			}

			.af-pdf-invoice-subtotal-section ul li p {
				display: block;
				margin: 10px 0;
				font-size: 14px;
				line-height: 24px;
			}

			.af-pdf-invoice-subtotal-section ul li p label,
			.af-pdf-invoice-mid-section ul li p label {
				display: inline-block;
				width: 48%;
				vertical-align: middle;
				font-weight: bold;
				text-align: left;
			}

			.af-pdf-invoice-subtotal-section ul li p font,
			.af-pdf-invoice-mid-section ul li p span {
				text-align: left;
				display: inline-block;
				width: 48%;
				vertical-align: middle;
			}

			.af-pdf-invoices-contents table {
				width: 100%;
				border-collapse: collapse;
			}

			.af-pdf-invoices-contents table tbody tr td {
				border: 1px solid #393a3c38;
			}

			.af-pdf-invoices-contents table thead th {
				border: 1px solid #393a3c38;
				background-color: #220053;
				color: #fff;
				font-size: 14px;
				line-height: 24px;
				padding: 5px;
				text-align: left;
			}

			.af-pdf-invoices-contents table tbody tr td:first-child {
				font-weight: 800;
			}

			.af-pdf-invoices-contents table tbody tr td:last-child,
			.af-pdf-invoices-contents table thead tr th:last-child {
				text-align: left;
			}

			.af-pdf-invoices-contents table tbody tr:nth-child(even) {
				/*		background-color: #ebf6ff;*/
				border: 1px solid;
				border-color: black;
			}

			.af-pdf-invoices-contents table tbody tr:nth-child(odd) {
				/*		background-color: #fff;*/
				border: 1px solid;
				border-color: black;
			}

			.af-invoice-product-img img {
				width: 50px;
				height: 50px;
				border-radius: 6px;
			}

			.invoice_product_sku_td small {
				font-size: 10px;
			}

			.invoice_product_sku_td span {
				font-weight: 700;
			}

			.af-pdf-invoice-subtotal-section ul li,
			.af-pdf-invoice-mid-section ul li {
				width: 100%;
			}

			.af-pdf-invoice-subtotal-section .af-pdf-invoice-total-label {
				padding: 5px 10px;
				color: #fff;
				font-size: 15px;
				margin: 0 !important;
				background-color: black;
			}

			.af-pdf-invoice-subtotal-section .af-pdf-invoice-total-label label,
			.af-pdf-invoice-subtotal-section .af-pdf-invoice-total-label span {
				font-size: 20px;
				line-height: 30px;
				color: #fff
			}

			.af-pdf-invoices-contents table td {
				font-size: 14px;
				line-height: 24px;
				padding: 5px;
				text-align: left;
			}

			.af-pdf-invoice-mid-section {
				margin: 10px 0 20px;
				display: table;
				width: 100%;
				padding: 20px;
			}

			.af-pdf-invoices-contents {
				padding: 20px;
			}

			.af-pdf-invoice-mid-section ul li p {
				width: 90%;
				margin: 0 0 10px;
				font-size: 12px;
				line-height: 22px;
			}

			.af-pdf-invoices-mid-sec-left,
			.af-pdf-invoices-sec-right {
				display: table-cell;
				vertical-align: top;
				width: 50%;
			}

			.af-pdf-invoices-sec-right h4 {
				color: white;
			}

			.af_invoices_pdf_header_background_color h4 {
				/* color: white; */
			}

			.af-pdf-invoice-mid-section h4 {
				font-size: 20px;
				line-height: 30px;
				background-color: #220053;
				color: black;
			}

			.af-pdf-invoice-subtotal-section {
				display: table;
				margin: 10px 0;
				width: 100%;
			}

			.af-pdf-invoices-logo {
				display: table-cell;
				width: 65%;
				vertical-align: top;
			}

			#invoice_note {
				width: 100%;
				padding: 10px;
				max-width: 1150px;
				margin: 0 auto;
				background-color: #ff6600;
			}

			.af-pdf-invoices-subtotal {
				display: table-cell;
				width: 35%;
				vertical-align: top;
				text-align: right;
				padding: 20px;
			}
		</style>
		<?php

		$af_invoices_pdf_header_logo = get_option('af_invoices_pdf_header_logo');
		$af_invoices_pdf_company_detail = get_option('af_invoices_pdf_company_detail');

		$af_pdf_invoice_comp_name = get_bloginfo('name');
		$af_pdf_invoice_company_address = get_option('woocommerce_store_address');

		$af_invoices_pdf_header_background_color = get_option('af_invoices_pdf_header_background_color');
		$af_invoices_pdf_header_color = get_option('af_invoices_pdf_header_color');
		$af_invoices_pdf_order_table_back_color = get_option('af_invoices_pdf_order_table_back_color');
		$af_invoices_pdf_order_table_color = get_option('af_invoices_pdf_order_table_color');
		$af_invoice_comp_detail = get_option('af_invoice_comp_detail');
		$af_invoice_pdf_heading = get_option('af_invoice_pdf_heading');
		$af_invo_footer_text = get_option('af_invoices_pdf_note_footer');
		$af_inv_invoice_note = get_option('af_invoices_pdf_term_condition');
		$af_invoices_pdf_footer_background_color = get_option('af_invoices_pdf_footer_background_color');
		$af_invoices_pdf_footer_text_color = get_option('af_invoices_pdf_footer_text_color');

		$af_invoices_pdf_custom_store_name = get_option('af_invoices_pdf_custom_store_name');
		$af_invoices_pdf_custom_store_address = get_option('af_invoices_pdf_custom_store_address');
		$af_invoices_pdf_custom_store_country = get_option('af_invoices_pdf_custom_store_country');
		$af_invoices_pdf_custom_store_city = get_option('af_invoices_pdf_custom_store_city');
		$af_invoices_pdf_header_logo_height = get_option('af_invoices_pdf_header_logo_height');

		?>
		<div class="af-invoice-pdf">
			<section class="af-invoices-pdf-header"
			style="background-color: <?php echo esc_attr($af_invoices_pdf_header_background_color); ?>  color: <?php echo esc_attr($af_invoices_pdf_header_color); ?>;">
			<div class="af-pdf-invoices-store-info">
				<table>
					<tr>
						<td>
							<?php

							$default_height = '150px';


							$logo_height = !empty($af_invoices_pdf_header_logo_height) ? esc_attr($af_invoices_pdf_header_logo_height) . 'px' : $default_height;

							if (!empty($af_invoices_pdf_header_logo)) {
								?>
								<img style="width: 150px!important; height: <?php echo esc_attr($logo_height); ?>; margin-top:10px;"
								src="<?php echo esc_url($af_invoices_pdf_header_logo); ?>">
							<?php } ?>
						</td>

					</tr>
					<?php
					if (!empty($af_invoices_pdf_company_detail)) {
						if ('default' == $af_invoices_pdf_company_detail) {


							?>
							<tr>
								<td
								style="color: <?php echo esc_attr($af_invoices_pdf_header_color); ?>; font-size: 14px; line-height: 18px; padding: 10px 0;">
								<?php echo esc_html__('Company', 'af_pdf_invoices'); ?>:
							</td>
							<td
							style="color: <?php echo esc_attr($af_invoices_pdf_header_color); ?>; font-size: 14px; line-height: 18px; padding: 10px 0;">
							<?php echo esc_attr($af_pdf_invoice_comp_name); ?>
						</td>
					</tr>
					<tr>
						<td
						style="color: <?php echo esc_attr($af_invoices_pdf_header_color); ?>; font-size: 14px; line-height: 18px; padding: 10px 0;">
						<?php echo esc_html__('Address', 'af_pdf_invoices'); ?>:
					</td>
					<td
					style="color: <?php echo esc_attr($af_invoices_pdf_header_color); ?>; font-size: 14px; line-height: 18px; padding: 10px 0;">
					<?php echo esc_attr($af_pdf_invoice_company_address); ?>
				</td>
			</tr>
			<tr>
				<td
				style="color: <?php echo esc_attr($af_invoices_pdf_header_color); ?>; font-size: 14px; line-height: 18px; padding: 10px 0;">
				<?php echo esc_html__('City', 'af_pdf_invoices'); ?>:
			</td>
			<td
			style="color: <?php echo esc_attr($af_invoices_pdf_header_color); ?>; font-size: 14px; line-height: 18px; padding: 10px 0;">
			<?php echo esc_attr(get_option('woocommerce_store_city')); ?>
		</td>
	</tr>
	<tr>
		<td
		style="color: <?php echo esc_attr($af_invoices_pdf_header_color); ?>; font-size: 14px; line-height: 18px; padding: 10px 0;">
		<?php echo esc_html__('Country', 'af_pdf_invoices'); ?>:
	</td>
	<td
	style="color: <?php echo esc_attr($af_invoices_pdf_header_color); ?>; font-size: 14px; line-height: 18px; padding: 10px 0;">
	<?php echo esc_attr(get_option('woocommerce_default_country')); ?>
</td>
</tr>
<tr>
	<td
	style="color: <?php echo esc_attr($af_invoices_pdf_header_color); ?>; font-size: 14px; line-height: 18px; padding: 10px 0;">
	<?php echo esc_html__('VAT Number', 'af_pdf_invoices'); ?>:
</td>
<td
style="color: <?php echo esc_attr($af_invoices_pdf_header_color); ?>; font-size: 14px; line-height: 18px; padding: 10px 0;">
<?php echo esc_attr(get_option('af_invoices_vat_number')); ?>
</td>
</tr>
<?php
						} elseif ('custom' == $af_invoices_pdf_company_detail) {
							$af_invoices_pdf_custom_store_name = get_option('af_invoices_pdf_custom_store_name');
							$lines = explode("\n", $af_invoices_pdf_custom_store_name);
							?>
	<table>
								<?php
								foreach ($lines as $line) :
									list($label, $value) = explode(':', $line);
									?>
			<tr>
				<td
				style="color: <?php echo esc_attr($af_invoices_pdf_header_color); ?>; font-size: 14px; line-height: 18px; padding: 10px 0;">
				<?php echo esc_html(trim($label)); ?>:
			</td>
			<td
			style="color: <?php echo esc_attr($af_invoices_pdf_header_color); ?>; font-size: 14px; line-height: 18px; padding: 10px 0;">
			<?php echo esc_attr(trim($value)); ?>
		</td>
	</tr>
						<?php endforeach; ?>

</table>
						<?php
						}
					}
					?>
</table>
</div>

<div class="af-pdf-invoices-info">
	<h2
	style="font-weight: bold; color:<?php echo esc_attr($af_invoices_pdf_header_color); ?> font-size: 25px; line-height: 35px; margin-bottom:5px;">
	<?php
		if (!empty($af_invoice_pdf_heading)) {
			echo esc_attr($af_invoice_pdf_heading);
		} else {
			echo esc_html__('Invoice Slip', 'af_pdf_invoices');
		}
		?>
</h2>
<table>
	<?php

	$af_invoices_pdf_custom_store_name = get_option('af_invoices_display_invoice_number');
	$af_invoice_padding = get_option('af_invoice_padding');
	$order_number = '685';


	$display_value = '';


		if ('no' === $af_invoices_pdf_custom_store_name) {

			$display_value = '';

		} elseif ('order_number' === $af_invoices_pdf_custom_store_name) {


			$display_value = '12345'; 

		} elseif ('invoice_number' === $af_invoices_pdf_custom_store_name) {


			$invoice_number = 'INV-9876';  
			$dummy_order_number = '12345';  
			$dummy_order_date = '2024-01-01';  

			$padding_replaced = str_replace(
			array( '{order_id}', '{order_date}', '{invoice_number}' ),
			array( $dummy_order_number, $dummy_order_date, $invoice_number ),
			$af_invoice_padding
			);
			$display_value = $padding_replaced;

		} else {

			$display_value = '';
		}

		?>


	<tr style="color:<?php echo esc_attr($af_invoices_pdf_header_color); ?>">
		<td><?php esc_html_e('Order Information:', 'af_pdf_invoices'); ?></td>
		<td><?php echo esc_html($display_value); ?></td>
	</tr>

	<?php
	$af_invoices_order_date = get_option('af_invoices_order_date');
		if ('yes' == $af_invoices_order_date) {
			?>
		<tr style="color:<?php echo esc_attr($af_invoices_pdf_header_color); ?>">
			<td><?php esc_html_e('Date & Time:', 'af_pdf_invoices'); ?></td>
			<td>
				<?php

				$dummy_date = '01 Jan 2024';  
				$dummy_time = '12:34:56'; 
				$dummy_timezone = 'UTC';  
				echo esc_attr("{$dummy_date} {$dummy_time} ({$dummy_timezone})");
				?>
			</td>
		</tr>

	?>
		<?php
		}
		?>
<tr style="color:<?php echo esc_attr($af_invoices_pdf_header_color); ?>">
	<td><?php esc_html_e('Payment Method:', 'af_pdf_invoices'); ?></td>
	<td><?php echo esc_html__('Cod', 'af_pdf_invoices'); ?></td>
</tr>
<?php
$af_invoices_display_email_address = get_option('af_invoices_display_email_address'); 

		if ('yes' ==$af_invoices_display_email_address ) {
			?>
	<tr style="color:<?php echo esc_attr($af_invoices_pdf_header_color); ?>">
		<td><?php esc_html_e('Email:', 'af_pdf_invoices'); ?></td>
		<td><?php echo esc_html__('addifytesting@gmail.com ', 'af_pdf_invoices'); ?></td>
	</tr>
		<?php } ?>
</table>

</div>
</section>

<section class="af-pdf-invoice-mid-section">
	<div class="af-pdf-invoices-mid-sec-left">
		<h4
		style=" background-color:<?php echo esc_attr($af_invoices_pdf_header_background_color); ?>; color: <?php echo esc_attr($af_invoices_pdf_header_color); ?>;">
		<?php esc_html_e('Bill To', 'af_pdf_invoices'); ?>
	</h4>
	<ul>
		<li>
			<p>
				<label>
					<?php echo esc_html__('Company Name:', 'af_pdf_invoices'); ?>
				</label>
				<span>
					<?php echo esc_html__('Collier-Klocko', 'af_pdf_invoices'); ?>
				</span>
			</p>
		</li>

		<li>
			<p>
				<label>
					<?php echo esc_html__('Address:', 'af_pdf_invoices'); ?>
				</label>
				<span>
					<?php echo esc_html__(' 381 Hulda Bypass', 'af_pdf_invoices'); ?>
				</span>
			</p>
		</li>
		<?php
		$af_invoices_display_phone_number = get_option('af_invoices_display_phone_number');
		if (!empty($af_invoices_display_phone_number) && 'yes' == $af_invoices_display_phone_number) {
			?>

			<li>
				<p>
					<label>
						<?php esc_html_e('Phone:', 'af_pdf_invoices'); ?>
					</label>
					<span>
						<?php echo esc_html__(' +1-432-863-0673', 'af_pdf_invoices'); ?>
					</span>
				</p>
			</li>
			<?php
		}
		$af_invoices_display_email_address = get_option('af_invoices_display_email_address');
		if (!empty($af_invoices_display_email_address) && 'yes' == $af_invoices_display_email_address) {
			?>
			<li>
				<p>
					<label>
						<?php esc_html_e('E-Mail:', 'af_pdf_invoices'); ?>
					</label>
					<span>
						<?php
						
						echo esc_attr('myra@gmail.com ', 'af_pdf_invoices');
						?>
					</span>
				</p>
			</li>
		<?php } ?>
	</ul>
</div>
<?php
$af_invoices_pdf_shipping_date = get_option('af_invoices_pdf_shipping_date');  

		if ('yes' == $af_invoices_pdf_shipping_date) {

			?>
	<div class="af-pdf-invoices-sec-right">
		<h4
		style="background-color:<?php echo esc_attr($af_invoices_pdf_header_background_color); ?>; color: <?php echo esc_attr($af_invoices_pdf_header_color); ?>;">
		<?php esc_html_e('Ship To', 'af_pdf_invoices'); ?>
	</h4>
	<ul>
		<li>
			<p>
				<label><?php echo esc_html__('Name:', 'af_pdf_invoices'); ?></label>
				<span><?php echo esc_attr('Roselyn Wilderman', 'af_pdf_invoices'); ?></span>
			</p>
		</li>



		<li>
			<p>
				<label><?php echo esc_html__('Address:', 'af_pdf_invoices'); ?></label>
				<span><?php echo esc_attr(' 381 Hulda Bypass', 'af_pdf_invoices'); ?></span>
			</p>
		</li>


		<?php

				$af_invoices_display_phone_number = get_option('af_invoices_display_phone_number');
			if (!empty($af_invoices_display_phone_number) && 'yes' == $af_invoices_display_phone_number) {
			{
				?>
				<li>
					<p>
						<label><?php esc_html_e('Phone:', 'af_pdf_invoices'); ?></label>
						<span><?php echo esc_attr('+1-432-863-0673', 'af_pdf_invoices'); ?></span>
					</p>
				</li>

				<?php
			}
			}
			?>


		<li>
			<p>
				<label><?php esc_html_e('Country Name:', 'af_pdf_invoices'); ?></label>
				<span><?php echo esc_attr('USA', 'af_pdf_invoices'); ?></span>
			</p>
		</li>

	</ul>
</div>
		<?php } ?>
</section>

<section class="af-pdf-invoices-contents" style="padding-top: 30px!important;">
	<table>
		<thead
		style="background-color: <?php echo esc_attr($af_invoices_pdf_order_table_back_color); ?>; color: <?php echo esc_attr($af_invoices_pdf_order_table_color); ?>;">
		<tr style="text-align:center;">
			<th
			style=" width:20%; text-align:center; background-color: <?php echo esc_attr($af_invoices_pdf_order_table_back_color); ?>; color: <?php echo esc_attr($af_invoices_pdf_order_table_color); ?>">
			<?php echo esc_html__('Image', 'af_pdf_invoices'); ?>
		</th>
		<th
		style=" width:20%; text-align:center; background-color: <?php echo esc_attr($af_invoices_pdf_order_table_back_color); ?>; color: <?php echo esc_attr($af_invoices_pdf_order_table_color); ?>">
		<?php echo esc_html__('Product Name', 'af_pdf_invoices'); ?>
	</th>
	<th
	style=" width:20%; text-align:center; background-color: <?php echo esc_attr($af_invoices_pdf_order_table_back_color); ?>; color: <?php echo esc_attr($af_invoices_pdf_order_table_color); ?>">
	<?php echo esc_html__('QTY', 'af_pdf_invoices'); ?>
</th>
<th
style=" width:20%; text-align:center; background-color: <?php echo esc_attr($af_invoices_pdf_order_table_back_color); ?>; color: <?php echo esc_attr($af_invoices_pdf_order_table_color); ?>">
<?php echo esc_html__('Price', 'af_pdf_invoices'); ?>
</th>

<th
style=" width:20%; text-align:center; background-color: <?php echo esc_attr($af_invoices_pdf_order_table_back_color); ?>; color: <?php echo esc_attr($af_invoices_pdf_order_table_color); ?>">
<?php echo esc_html__('Total', 'af_pdf_invoices'); ?>
</th>

</tr>
</thead>
<tbody>
	<tr>
		

			<td><img style="height: 50px; margin-left: 20px;text-align: center;" 
					src="<?php echo esc_url($af_invoices_pdf_header_logo); ?>"></td>
			<td>
				<?php
				echo esc_html__(
					'Album',
					'af_pdf_invoices'
				);
				?>
			</td>
			<td style="    text-align: center;">
				<?php
				echo esc_html__(
					'1',
					'af_pdf_invoices'
				);
				?>
			</td>
			<td style="    text-align: center;">
				<?php
				echo esc_html__(
					'$10',
					'af_pdf_invoices'
				);
				?>
			</td>
			<td style="    text-align: center;">
				<?php
				echo esc_html__(
					'$10',
					'af_pdf_invoices'
				);
				?>
			</td>
		</tr>
	</tbody>
</table>

</section>

<section class="af-pdf-invoice-subtotal-section">
	<div class="af-pdf-invoices-logo"></div>
	<div class="af-pdf-invoices-subtotal" >
	<ul>
		<li>
			<p>
				<label style="font-size:bold;">
					<?php esc_html_e('Tax', 'af_pdf_invoices'); ?>
				</label>
				<font>
					<?php echo esc_html__('$0 ', 'af_pdf_invoices'); ?>
				</font>
			</p>
		</li>
		<li>
			<p>
				<label style="font-size:bold;">
					<?php esc_html_e('Subtotal', 'af_pdf_invoices'); ?>
				</label>
				<font>
					<?php echo esc_html_e('$10 ', 'af_pdf_invoices'); ?>
				</font>
			</p>
		</li>
		<li>
			<p>
				<label style="font-size:bold;">
					<?php esc_html_e('Discount', 'af_pdf_invoices'); ?>
				</label>
				<font>
					<?php echo esc_html_e(' $0', 'af_pdf_invoices'); ?>
				</font>
			</p>
		</li>


		<li>
			<p class="af-pdf-invoice-total-label">
				<label style="font-size:bold;">
					<?php esc_html_e('Total', 'af_pdf_invoices'); ?>
				</label>
				<font>
					<?php echo esc_html__('$10', 'af_pdf_invoices'); ?>
				</font>
			</p>
		</li>
		<li>

		</li>

	</ul>
</div>
</section>
<div id="af_pdf_invoices_footer"
style="background-color:<?php echo esc_attr($af_invoices_pdf_footer_background_color); ?>;color:<?php echo esc_attr($af_invoices_pdf_footer_text_color); ?>;">
<table style="width:100%; padding:20px;">
	<?php
	$af_invoices_pdf_note_footer = get_option('af_invoices_pdf_note_footer');
		if (!empty($af_invoices_pdf_note_footer)) {
			?>
		<tr>
			<th style="text-align:left; padding-left: 0;"><?php echo esc_html__('Note :', 'af_pdf_invoices'); ?>
		</th>
		<td><?php echo esc_attr($af_invoices_pdf_note_footer); ?></td>
	</tr>
		<?php
		}
$af_invoices_pdf_term_condition = get_option('af_invoices_pdf_term_condition');
		if (!empty($af_invoices_pdf_term_condition)) {
			?>
	<tr>
		<th style="text-align:left; padding-left: 0;">
			<?php echo esc_html__('Terms and Conditions', 'af_pdf_invoices'); ?>
		</th>
		<td>
			<?php echo wp_kses_post($af_invoices_pdf_term_condition); ?>

		</td>
	</tr>
		<?php } ?>
</table>
</div>
</div>
<?php
return ob_get_clean();
	}
}
if (class_exists('AF_P_D_F_I_Admin')) {
	new AF_P_D_F_I_Admin();
}