<?php
function af_pdf_invoices_credit_note_option() {
	$af_pdf_invoices_credit_note_option = get_option('af_pdf_invoices_credit_note_option', 'default');
	?>
	<select id="af_pdf_invoices_credit_note_option" name="af_pdf_invoices_credit_note_option">
		<option value="default" <?php selected($af_pdf_invoices_credit_note_option, 'default'); ?>>
			<?php esc_html_e('Use default PDF invoices', 'af_pdf_invoices'); ?>
		</option>
		<option value="customize" <?php selected($af_pdf_invoices_credit_note_option, 'customize'); ?>>
			<?php esc_html_e('Customize template', 'af_pdf_invoices'); ?>
		</option>
	</select>
	<?php
}

function af_pdf_invoices_credit_note_design_wrapper() {
	$af_pdf_invoices_credit_note_design = get_option('af_pdf_invoices_credit_note_design');
	$af_pdf_invoices_credit_note_option = get_option('af_pdf_invoices_credit_note_option', 'default');
	?>

	<div id="af_pdf_invoices_credit_note_design_section">
		<label for="af_pdf_invoices_credit_note_option">
			<?php echo esc_html__('Select design for credit note', 'af_pdf_invoices'); ?>
		</label>
		<div id="af_pdf_invoices_credit_note_design_wrapper" style="display: flex;">
			<div class="af_invoice_credit_note_temp" style="margin-right: 10px;">
				<input style="display: none;" type="radio" name="af_pdf_invoices_credit_note_design"
					class="af_inv_step_style" id="choose1" value="credit_note_temp1.php" <?php checked($af_pdf_invoices_credit_note_design, 'credit_note_temp1.php'); ?> />
				<label for="choose1">
					<div class="af_label">
						<img style="width: 140px!important; height:192px!important;"
							src="<?php echo esc_attr(PDFI_URL . 'includes/assest/uploads/creditnotetemp1.png'); ?>" />
					</div>
				</label>
			</div>
			<div class="af_invoice_credit_note_temp" style="margin-right: 10px;">
				<input style="display: none;" type="radio" name="af_pdf_invoices_credit_note_design"
					class="af_inv_step_style" id="choose2" value="credit_note_temp2.php" <?php checked($af_pdf_invoices_credit_note_design, 'credit_note_temp2.php'); ?> />
				<label for="choose2">
					<div class="af_label">
						<img style="width: 140px!important; height:192px!important;"
							src="<?php echo esc_attr(PDFI_URL . 'includes/assest/uploads/creditnotetemp2.png'); ?>" />
					</div>
				</label>
			</div>
			<div class="af_invoice_credit_note_temp" style="margin-right: 10px;">
				<input style="display: none;" type="radio" name="af_pdf_invoices_credit_note_design"
					class="af_inv_step_style" id="choose3" value="credit_note_temp3.php" <?php checked($af_pdf_invoices_credit_note_design, 'credit_note_temp3.php'); ?> />
				<label for="choose3">
					<div class="af_label">
						<img style="width: 140px!important; height:192px!important;"
							src="<?php echo esc_attr(PDFI_URL . 'includes/assest/uploads/creditnotetemp3.png'); ?>" />
					</div>
				</label>
			</div>
		</div>
		<br>
		<label>
			<?php echo esc_html__('Want to use your own template? Copy all the files from wp-content/plugins/'); ?><br>
			<?php echo esc_html__('addify-pdf-invoices/includes/templates/credit-note to wp-content'); ?><br>
			<?php echo esc_html__('/addify-pdf-invoices-and-packing-slip/credit-note to customize them.'); ?>
		</label>
	</div>


	<?php
}


add_settings_section(
 'addify_invoices_pdf_credit_note_fields',
 '',
 '',
 'addify_invoices_pdf_credit_note_sections'
);

add_settings_field(
 'af_pdf_invoices_credit_note_option',
 esc_html__('Select credit note Option', 'af_pdf_invoices'),
 'af_pdf_invoices_credit_note_option',
 'addify_invoices_pdf_credit_note_sections',
 'addify_invoices_pdf_credit_note_fields'
);

register_setting(
 'addify_invoices_pdf_credit_note_fields',
 'af_pdf_invoices_credit_note_option'
);

add_settings_field(
 'af_pdf_invoices_credit_note_design',
 '',
 'af_pdf_invoices_credit_note_design_wrapper',
 'addify_invoices_pdf_credit_note_sections',
 'addify_invoices_pdf_credit_note_fields'
);

register_setting(
 'addify_invoices_pdf_credit_note_fields',
 'af_pdf_invoices_credit_note_design'
);




add_settings_field(
 'af_pdf_invoices_credit_note_heading',
 esc_html__('Credit note heading', 'af_pdf_invoices'),
 'af_pdf_invoices_credit_note_heading',
 'addify_invoices_pdf_credit_note_sections',
 'addify_invoices_pdf_credit_note_fields'
);

register_setting(
 'addify_invoices_pdf_credit_note_fields',
 'af_pdf_invoices_credit_note_heading'
);

add_settings_field(
 'af_pdf_credit_note_footer_note',
 esc_html__('Add note to the footer', 'af_pdf_invoices'),
 'af_pdf_credit_note_footer_note_callback',
 'addify_invoices_pdf_credit_note_sections',
 'addify_invoices_pdf_credit_note_fields'
);

register_setting(
 'addify_invoices_pdf_credit_note_fields',
 'af_pdf_credit_note_footer_note'
);


add_settings_field(
 'af_pdf_credit_note_footer_terms',
 esc_html__('Terms and conditions', 'af_pdf_invoices'),
 'af_pdf_credit_note_footer_terms_callback',
 'addify_invoices_pdf_credit_note_sections',
 'addify_invoices_pdf_credit_note_fields'
);

register_setting(
 'addify_invoices_pdf_credit_note_fields',
 'af_pdf_credit_note_footer_terms'
);





function af_pdf_invoices_credit_note_heading() {
	$af_pdf_invoices_credit_note_heading = get_option('af_pdf_invoices_credit_note_heading');
	?>
	<input type="text" name="af_pdf_invoices_credit_note_heading"
		value="<?php echo esc_attr($af_pdf_invoices_credit_note_heading); ?>">
	<?php
}

function af_pdf_credit_note_footer_note_callback() {
	$af_pdf_credit_note_footer_note = get_option('af_pdf_credit_note_footer_note');
	?>
	<input type="text" name="af_pdf_credit_note_footer_note"
		value="<?php echo esc_attr($af_pdf_credit_note_footer_note); ?>">

	<?php
}

function af_pdf_credit_note_footer_terms_callback() {
	$af_pdf_credit_note_footer_terms = get_option('af_pdf_credit_note_footer_terms');
	?>
	<input type="text" name="af_pdf_credit_note_footer_terms"
		value="<?php echo esc_attr($af_pdf_credit_note_footer_terms); ?>">

	<?php
}

