<?php
function af_invoice_pdf_select_design() {
	$af_invoice_pdf_select_design = get_option('af_invoice_pdf_select_design');
	?>
	<div style="display: flex; justify-content: space-between;">
		<div class="af_invoice_pdf_select_design af_pdf_invoice_preview_changes" style="width: 15%;">
			<select name="af_invoice_pdf_select_design" id="af_invoice_pdf_select_design">
				<option value="temp1.php" <?php selected('temp1.php', $af_invoice_pdf_select_design); ?>>
					<?php esc_html_e('Template 1', 'af_pdf_invoices'); ?>
				</option>
				<option value="temp2.php" <?php selected('temp2.php', $af_invoice_pdf_select_design); ?>>
					<?php esc_html_e('Template 2', 'af_pdf_invoices'); ?>
				</option>
				<option value="temp3.php" <?php selected('temp3.php', $af_invoice_pdf_select_design); ?>>
					<?php esc_html_e('Template 3', 'af_pdf_invoices'); ?>
				</option>
			</select>
		</div>
		<div id="template-preview-container">
			<h2><?php echo esc_html__('Template preview', 'af_pdf_invoices'); ?></h2>
			<div id="template-preview" style="border: 1px solid #ccc; padding: 20px; background-color: white;">

			</div>
			<button id="generate_invoice_pdf" type="button"><?php echo esc_html__('Download PDF Preview', 'af_pdf_invoices'); ?></button>
			

		</div>
	</div>

	<div class="tooltip-wrapper">
		<span class="tooltip-icon">?</span>
		<div class="tooltip-content">
			<?php echo esc_html__('Want to use your own template? Copy all the files from wp-content/plugins/addify-pdf-invoices/includes/templates/pdf to wp-content/addify-pdf-invoices-and-packing-slip/pdf-invoices/ to customize them.'); ?>
		</div>
	</div>

	<input type="hidden" id="selected_design_id" name="selected_design_id"
		value="<?php echo esc_attr($af_invoice_pdf_select_design); ?>">
	<?php
}




add_settings_section(
 'addify_invoices_pdf_data_settings_fields',
 '',
 '',
 'addify_invoices_pdf_data_settings_sections'
);


add_settings_field(
 'order_statuses',
 esc_html__('Select order status for PDF download', 'af_pdf_invoices'),
 'order_statuses',
 'addify_invoices_pdf_data_settings_sections',
 'addify_invoices_pdf_data_settings_fields'
);

register_setting(
 'addify_invoices_pdf_data_settings_fields',
 'order_statuses'
);

add_settings_field(
 'af_invoices_pdf_select_email',
 esc_html__('Select email template to attach PDF invoice', 'af_pdf_invoices'),
 'af_invoices_pdf_select_email',
 'addify_invoices_pdf_data_settings_sections',
 'addify_invoices_pdf_data_settings_fields'
);

register_setting(
 'addify_invoices_pdf_data_settings_fields',
 'af_invoices_pdf_select_email'
);


add_settings_field(
 'af_invoices_allow_invoice_download',
 esc_html__('Enable to download PDF invoice from the order page ', 'af_pdf_invoices'),
 'af_invoices_allow_invoice_download',
 'addify_invoices_pdf_data_settings_sections',
 'addify_invoices_pdf_data_settings_fields'
);

register_setting(
 'addify_invoices_pdf_data_settings_fields',
 'af_invoices_allow_invoice_download'
);



// layout setting 
add_settings_section(
 'addify_invoices_pdf_general_settings_fields',
 '', // Title to be displayed on the administration page.
 '', // Callback used to render the description of the section.
 'addify_invoices_pdf_general_settings_sections'
);

add_settings_field(
 'af_invoice_pdf_select_design',
 esc_html__('Select PDF design', 'af_pdf_invoices'),
 'af_invoice_pdf_select_design',
 'addify_invoices_pdf_general_settings_sections',
 'addify_invoices_pdf_general_settings_fields'
);

register_setting(
 'addify_invoices_pdf_general_settings_fields',
 'af_invoice_pdf_select_design'
);

add_settings_field(
 'af_invoice_pdf_heading',
 esc_html__('Invoice heading', 'af_pdf_invoices'),
 'af_invoice_pdf_heading',
 'addify_invoices_pdf_general_settings_sections',
 'addify_invoices_pdf_general_settings_fields'
);

register_setting(
 'addify_invoices_pdf_general_settings_fields',
 'af_invoice_pdf_heading'
);



add_settings_field(
 'af_invoices_pdf_header_logo',
 esc_html__('Upload logo', 'af_pdf_invoices'),
 'af_invoices_pdf_header_logo',
 'addify_invoices_pdf_general_settings_sections',
 'addify_invoices_pdf_general_settings_fields'
);

register_setting(
 'addify_invoices_pdf_general_settings_fields',
 'af_invoices_pdf_header_logo'
);
add_settings_field(
 'af_invoices_pdf_header_logo_height',
 esc_html__('Logo height ', ' af_pdf_invoices'),
 'af_invoices_pdf_header_logo_height',
 'addify_invoices_pdf_general_settings_sections',
 'addify_invoices_pdf_general_settings_fields'
);
register_setting(
 'addify_invoices_pdf_general_settings_fields',
 'af_invoices_pdf_header_logo_height'
);

add_settings_field(
 'af_invoices_pdf_company_detail',
 esc_html__('Company details', 'af_pdf_invoices'),
 'af_invoices_pdf_company_detail',
 'addify_invoices_pdf_general_settings_sections',
 'addify_invoices_pdf_general_settings_fields'
);

register_setting(
 'addify_invoices_pdf_general_settings_fields',
 'af_invoices_pdf_company_detail'
);

register_setting(
 'addify_invoices_pdf_general_settings_fields',
 'af_invoices_pdf_custom_store_name'
);



add_settings_field(
 'af_invoices_display_email_address',
 esc_html__('Enable email address', 'af_pdf_invoices'),
 'af_invoices_display_email_address',
 'addify_invoices_pdf_general_settings_sections',
 'addify_invoices_pdf_general_settings_fields'
);

register_setting(
 'addify_invoices_pdf_general_settings_fields',
 'af_invoices_display_email_address'
);

add_settings_field(
 'af_invoices_display_phone_number',
 esc_html__('Enable contact number', 'af_pdf_invoices'),
 'af_invoices_display_phone_number',
 'addify_invoices_pdf_general_settings_sections',
 'addify_invoices_pdf_general_settings_fields'
);

register_setting(
 'addify_invoices_pdf_general_settings_fields',
 'af_invoices_display_phone_number'
);

add_settings_field(
 'af_invoices_display_invoice_number',
 esc_html__('Enable invoice/order number', 'af_pdf_invoices'),
 'af_invoices_display_invoice_number',
 'addify_invoices_pdf_general_settings_sections',
 'addify_invoices_pdf_general_settings_fields'
);
register_setting('addify_invoices_pdf_general_settings_fields', 'af_invoices_display_invoice_number');

register_setting('addify_invoices_pdf_general_settings_fields', 'af_invoice_padding');


add_settings_field(
 'af_invoices_vat_number',
 esc_html__('Shop vat number', 'af_pdf_invoices'),
 'af_invoices_vat_number',
 'addify_invoices_pdf_general_settings_sections',
 'addify_invoices_pdf_general_settings_fields'
);

register_setting(
 'addify_invoices_pdf_general_settings_fields',
 'af_invoices_vat_number'
);



add_settings_field(
 'af_invoices_order_date',
 esc_html__('Enable order date', 'af_pdf_invoices'),
 'af_invoices_order_date',
 'addify_invoices_pdf_general_settings_sections',
 'addify_invoices_pdf_general_settings_fields'
);

register_setting(
 'addify_invoices_pdf_general_settings_fields',
 'af_invoices_order_date'
);




add_settings_field(
 'af_invoices_pdf_shipping_date',
 esc_html__('Enable shipping data', 'af_pdf_invoices'),
 'af_invoices_pdf_shipping_date',
 'addify_invoices_pdf_general_settings_sections',
 'addify_invoices_pdf_general_settings_fields'
);

register_setting(
 'addify_invoices_pdf_general_settings_fields',
 'af_invoices_pdf_shipping_date'
);

add_settings_field(
 'af_invoices_pdf_header_color',
 esc_html__('PDF header text color', 'af_pdf_invoices'),
 'af_invoices_pdf_header_color',
 'addify_invoices_pdf_general_settings_sections',
 'addify_invoices_pdf_general_settings_fields'
);

register_setting(
 'addify_invoices_pdf_general_settings_fields',
 'af_invoices_pdf_header_color'
);

add_settings_field(
 'af_invoices_pdf_header_background_color',
 esc_html__('PDF header background color', 'af_pdf_invoices'),
 'af_invoices_pdf_header_background_color',
 'addify_invoices_pdf_general_settings_sections',
 'addify_invoices_pdf_general_settings_fields'
);

register_setting(
 'addify_invoices_pdf_general_settings_fields',
 'af_invoices_pdf_header_background_color'
);
add_settings_field(
 'af_invoices_pdf_footer_text_color',
 esc_html__('PDF footer text color', ' af_pdf_invoices'),
 'af_invoices_pdf_footer_text_color',
 'addify_invoices_pdf_general_settings_sections',
 'addify_invoices_pdf_general_settings_fields'
);
register_setting(
 'addify_invoices_pdf_general_settings_fields',
 'af_invoices_pdf_footer_text_color'
);
add_settings_field(
 'af_invoices_pdf_footer_background_color',
 esc_html__('PDF footer background color', ' af_pdf_invoices'),
 'af_invoices_pdf_footer_background_color',
 'addify_invoices_pdf_general_settings_sections',
 'addify_invoices_pdf_general_settings_fields'
);
register_setting(
 'addify_invoices_pdf_general_settings_fields',
 'af_invoices_pdf_footer_background_color'
);
add_settings_field(
 'af_invoices_pdf_order_table_color',
 esc_html__('PDF order table text color', ' af_pdf_invoices'),
 'af_invoices_pdf_order_table_color',
 'addify_invoices_pdf_general_settings_sections',
 'addify_invoices_pdf_general_settings_fields'
);
register_setting(
 'addify_invoices_pdf_general_settings_fields',
 'af_invoices_pdf_order_table_color'
);
add_settings_field(
 'af_invoices_pdf_order_table_back_color',
 esc_html__('Order table background color', ' af_pdf_invoices'),
 'af_invoices_pdf_order_table_back_color',
 'addify_invoices_pdf_general_settings_sections',
 'addify_invoices_pdf_general_settings_fields'
);
register_setting(
 'addify_invoices_pdf_general_settings_fields',
 'af_invoices_pdf_order_table_back_color'
);

add_settings_field(
 'af_invoices_pdf_note_footer',
 esc_html__('Add note to the footer:', ' af_pdf_invoices'),
 'af_invoices_pdf_note_footer',
 'addify_invoices_pdf_general_settings_sections',
 'addify_invoices_pdf_general_settings_fields'
);
register_setting(
 'addify_invoices_pdf_general_settings_fields',
 'af_invoices_pdf_note_footer'
);


add_settings_field(
 'af_invoices_pdf_term_condition',
 esc_html__('Terms and conditions', ' af_pdf_invoices'),
 'af_invoices_pdf_term_condition',
 'addify_invoices_pdf_general_settings_sections',
 'addify_invoices_pdf_general_settings_fields'
);
register_setting(
 'addify_invoices_pdf_general_settings_fields',
 'af_invoices_pdf_term_condition'
);










function af_invoice_pdf_heading() {
	$af_invoice_pdf_heading = get_option('af_invoice_pdf_heading');
	?>
	<input type="text" class="" name="af_invoice_pdf_heading" value="<?php echo esc_attr($af_invoice_pdf_heading); ?>">
	<p class="description">
		<?php echo esc_html__('Add text for invoice heading', 'af_pdf_invoices'); ?>
	</p>
	<?php
}

function af_invoices_pdf_order_table_back_color() {
	$af_invoices_pdf_order_table_back_color = get_option('af_invoices_pdf_order_table_back_color');
	?>
	<input type="color" name="af_invoices_pdf_order_table_back_color"
		value="<?php echo esc_attr($af_invoices_pdf_order_table_back_color); ?>">

	<p class="description">
		<?php echo esc_html__('Pick table background color', 'af_pdf_invoices'); ?>
	</p>
	<?php
}

function af_invoices_pdf_order_table_color() {
	$af_invoices_pdf_order_table_color = get_option('af_invoices_pdf_order_table_color');
	?>
	<input type="color" name="af_invoices_pdf_order_table_color"
		value="<?php echo esc_attr($af_invoices_pdf_order_table_color); ?>">
	<p class="description">
		<?php echo esc_html__('Pick color for the order table', 'af_pdf_invoices'); ?>
	</p>
	<?php
}
function af_invoices_pdf_footer_background_color() {
	$af_invoices_pdf_footer_background_color = get_option('af_invoices_pdf_footer_background_color');
	?>
	<input type="color" name="af_invoices_pdf_footer_background_color"
		value="<?php echo esc_attr($af_invoices_pdf_footer_background_color); ?>">
	<p class="description">
		<?php echo esc_html__('Pick footer background color ', 'af_pdf_invoices'); ?>
	</p>
	<?php
}

function af_invoices_pdf_footer_text_color() {
	$af_invoices_pdf_footer_text_color = get_option('af_invoices_pdf_footer_text_color');
	?>
	<input type="color" name="af_invoices_pdf_footer_text_color"
		value="<?php echo esc_attr($af_invoices_pdf_footer_text_color); ?>">
	<p class="description">
		<?php echo esc_html__('Pick footer text color', 'af_pdf_invoices'); ?>
	</p>
	<?php
}
function af_invoices_pdf_header_background_color() {
	$af_invoices_pdf_header_background_color = get_option('af_invoices_pdf_header_background_color');
	?>
	<input type="color" name="af_invoices_pdf_header_background_color"
		value="<?php echo esc_attr($af_invoices_pdf_header_background_color); ?>">
	<p class="description">
		<?php echo esc_html__('Pick header background color', 'af_pdf_invoices'); ?>
	</p>
	<?php
}

function af_invoices_pdf_header_color() {
	$af_invoices_pdf_header_color = get_option('af_invoices_pdf_header_color');
	?>
	<input type="color" name="af_invoices_pdf_header_color" value="<?php echo esc_attr($af_invoices_pdf_header_color); ?>">
	<p class="description">
		<?php echo esc_html__('Pick header text color', 'af_pdf_invoices'); ?>
	</p>
	<?php
}



function af_invoices_pdf_shipping_date() {
	$af_invoices_pdf_shipping_date = get_option('af_invoices_pdf_shipping_date');
	?>
	<input type="checkbox" value="yes" id="af_invoices_pdf_shipping_date" name="af_invoices_pdf_shipping_date" 
	<?php
	if (!empty($af_invoices_pdf_shipping_date)) {
		echo 'checked';
	}
	?>
	>


	<p class="description">
		<?php echo esc_html__('Show shipping data on invoice ', 'af_pdf_invoices'); ?>
	</p>
	<?php
}
function af_invoices_order_date() {
	$af_invoices_order_date = get_option('af_invoices_order_date');
	?>
	<input type="checkbox" value="yes" id="af_invoices_order_date" name="af_invoices_order_date" 
	<?php
	if (!empty($af_invoices_order_date)) {
		echo 'checked';
	}
	?>
	>

	<p class="description">
		<?php echo esc_html__('Show order date on invoice', 'af_pdf_invoices'); ?>
	</p>

	<?php
}

function af_invoices_vat_number() {
	$af_invoices_vat_number = get_option('af_invoices_vat_number');
	?>
	<input type="text" value="<?php echo esc_attr($af_invoices_vat_number); ?>" id="af_invoices_vat_number"
		name="af_invoices_vat_number">
	<?php
}


function af_invoices_allow_invoice_download() {
	$af_invoices_allow_invoice_download = get_option('af_invoices_allow_invoice_download');
	?>
	<input class="af_pdf_invoice_preview_changes" type="checkbox" value="yes" id="af_invoices_allow_invoice_download"
		name="af_invoices_allow_invoice_download" 
		<?php
		if (!empty($af_invoices_allow_invoice_download)) {
			echo 'checked';
		}
		?>
		>

	<p class="description">
		<?php
		echo esc_html__('Allow to download the PDF invoices from the order page
', 'af_pdf_invoices');
		?>
	</p>



	<?php
}

function af_invoices_display_invoice_number() {
	$af_invoices_display_invoice_number = get_option('af_invoices_display_invoice_number');

	$af_invoice_padding = get_option('af_invoice_padding');
	?>
	<select class="" id="af_invoices_display_invoice_number" name="af_invoices_display_invoice_number">
		<option value="no" <?php selected($af_invoices_display_invoice_number, 'no'); ?>>
			<?php echo esc_html__('No', 'af_pdf_invoices'); ?>
		</option>
		<option value="invoice_number" <?php selected($af_invoices_display_invoice_number, 'invoice_number'); ?>>
			<?php echo esc_html__('Invoice number', 'af_pdf_invoices'); ?>
		</option>
		<option value="order_number" <?php selected($af_invoices_display_invoice_number, 'order_number'); ?>>
			<?php echo esc_html__('Order number', 'af_pdf_invoices'); ?>
		</option>
	</select>
	<div id="af_invoice_number_fields" class="af_invoice_number_fields">
		<label><?php echo esc_html__('Invoice number:', 'af_pdf_invoices'); ?></label>
		<input class="" type="text" name="af_invoice_padding"
			placeholder="{order_id}, {order_date}, {invoice_number},{current_time},{current__date}"
			value="<?php echo esc_attr($af_invoice_padding); ?>">
		<p class="description">
			<?php echo esc_html__('You can use the following placeholders: {order_id}, {order_date}, {invoice_number}', 'af_pdf_invoices'); ?>
		</p>
	</div>
	<?php
}



function af_invoices_display_phone_number() {
	$af_invoices_display_phone_number = get_option('af_invoices_display_phone_number');
	?>
	<input type="checkbox" value="yes" id="af_invoices_display_phone_number" name="af_invoices_display_phone_number" 
	<?php
	if (!empty($af_invoices_display_phone_number)) {
		echo 'checked';
	}
	?>
	>

	<p class="description">
		<?php echo esc_html__('Show phone number of user on invoice', 'af_pdf_invoices'); ?>
	</p>

	<?php
}


function af_invoices_display_email_address() {
	$af_invoices_display_email_address = get_option('af_invoices_display_email_address');
	?>
	<input type="checkbox" value="yes" id="af_invoices_display_email_address" name="af_invoices_display_email_address" 
	<?php
	if (!empty($af_invoices_display_email_address)) {
		echo 'checked';
	}
	?>
	>
	<p class="description">
		<?php echo esc_html__('Show email of user on invoice', 'af_pdf_invoices'); ?>
	</p>
	<?php
}

function af_invoices_pdf_company_detail() {
	$af_invoices_pdf_company_detail = get_option('af_invoices_pdf_company_detail');
	$af_invoices_pdf_custom_store_name = get_option('af_invoices_pdf_custom_store_name');



	?>
	<select class="" id="af_invoices_pdf_company_detail" name="af_invoices_pdf_company_detail">
		<option value="no" <?php selected($af_invoices_pdf_company_detail, 'no'); ?>>
			<?php echo esc_html__('No', 'af_pdf_invoices'); ?>
		</option>
		<option value="default" <?php selected($af_invoices_pdf_company_detail, 'default'); ?>>
			<?php echo esc_html__('Default store detail', 'af_pdf_invoices'); ?>
		</option>
		<option value="custom" <?php selected($af_invoices_pdf_company_detail, 'custom'); ?>>
			<?php echo esc_html__('Custom', 'af_pdf_invoices'); ?>
		</option>
	</select>

	<div id="custom-store-details"
		style="display: <?php echo 'custom' == $af_invoices_pdf_company_detail ? 'block' : 'none'; ?>;">
		<p>

			<textarea class="" id="af_invoices_pdf_custom_store_name" placeholder="
				store name 
				address
				city
				country"
				name="af_invoices_pdf_custom_store_name"><?php echo esc_attr($af_invoices_pdf_custom_store_name); ?></textarea>
		</p>
	</div>

	<?php
}

function af_invoices_pdf_header_logo_height() {
	$af_invoices_pdf_header_logo_height = get_option('af_invoices_pdf_header_logo_height');
	?>
	<input class="" type="number" min="1" name="af_invoices_pdf_header_logo_height"
		value="<?php echo esc_attr($af_invoices_pdf_header_logo_height); ?>">
	<p class="description">
		<?php echo esc_html__('Choose logo height in pixels', 'af_pdf_invoices'); ?>
	</p>

	<?php
}


function af_invoices_pdf_header_logo() {
	$custom_payment_icon = get_option('af_invoices_pdf_header_logo');
	?>
	<div class="af_invoices_pdf_header_logo def_login af_msc_upload_payment_custom_icon">
		<div class="af_wpb_logo_img_div" id="af_wpb_logo_img_div">
			<div class="af_wpb_logo_img_right">
				<div class="imgdis">
					<img style="max-width: 200px;" id="af_invoice_pdf_upload_icon_img"
						src="<?php echo esc_url($custom_payment_icon); ?>" />
				</div>
			</div>
			<input type="hidden" value="<?php echo esc_url($custom_payment_icon); ?>" name="af_invoices_pdf_header_logo"
				id="af_invoices_pdf_header_logo" class="login_title">
			<input type="button" name="af_ips_template_logo_fieldbtn" id="af_invoices_pdf_upload_btn"
				class="af_pdf_template_logo_field button-secondary"
				value="<?php echo esc_html__('Upload icon', 'af_ips_invoices'); ?>">
			<label class="description"></label>
		</div>
	</div>
	<?php
}






function af_invoices_pdf_select_email() {

	$email_templates = WC()->mailer()->get_emails();

	$selected_emails = (array) get_option('af_invoices_pdf_select_email');
	foreach ($email_templates as $template_key => $template) {
		if ('WC_Email_Customer_Refunded_Order' == $template_key) {
			unset($email_templates[ $template_key ]);
		}
	}
	?>
	<select style="width: 300px;" name="af_invoices_pdf_select_email[]" class="af_invoices_pdf_emails"
		id="af_invoices_pdf_select_email" multiple>
		<?php

		foreach ($email_templates as $template_key => $template) {
			$is_selected = in_array($template_key, $selected_emails) ? 'selected' : '';
			echo '<option value="' . esc_attr($template_key) . '" ' . esc_attr($is_selected) . '>' . esc_html($template->get_title()) . '</option>';
		}
		?>
	</select>
	<p class="description">
		<?php echo esc_html__('Select email template to attach the PDF invoice to', 'af_pdf_invoices'); ?>
	</p>
	<?php
}





function order_statuses() {
	$order_statuses_saved = get_option('order_statuses', array());
	$order_statuses_all = wc_get_order_statuses();
	if (isset($order_statuses_all['wc-refunded'])) {
		unset($order_statuses_all['wc-refunded']);
	}
	?>
	<select style="width: 300px;" name="order_statuses[]" id="order_statuses" class="af_pdf_invoices_for_order" multiple>
		<?php
		foreach ($order_statuses_all as $status_key => $status) {
			$is_selected = in_array($status_key, (array) $order_statuses_saved) ? 'selected' : '';
			echo '<option value="' . esc_attr($status_key) . '" ' . esc_attr($is_selected) . '>' . esc_html($status) . '</option>';
		}
		?>
	</select>
	<p class="description">
		<?php echo esc_html_e('Choose order status to allow PDF download from "My Account"', 'af_pdf_invoices'); ?>
	</p>
	<?php
}








function af_invoices_pdf_note_footer() {
	$af_invoices_pdf_note_footer = get_option('af_invoices_pdf_note_footer');
	?>
	<input type="text" name="af_invoices_pdf_note_footer" value="<?php echo esc_attr($af_invoices_pdf_note_footer); ?>">
	<p class="description">
		<?php
		echo esc_html_e('Add text for PDF footer note ', 'af_pdf_invoices');
		?>
	</p>

	<?php
}

function af_invoices_pdf_term_condition() {
	$af_invoices_pdf_term_condition = get_option('af_invoices_pdf_term_condition');

	$settings = array(
		'textarea_name' => 'af_invoices_pdf_term_condition',
		'media_buttons' => false,
		'teeny' => true,
		'quicktags' => false,
		'tinymce' => array(
			'toolbar1' => 'bold,italic,underline,bullist,numlist,link,unlink,undo,redo',
			'toolbar2' => '',
			'block_formats' => 'Paragraph=p; Header 1=h1; Header 2=h2; Header 3=h3',
		),
		'editor_height' => 200,
	);

	echo '<div  style="width: 250px;">';
	wp_editor($af_invoices_pdf_term_condition, 'af_invoices_pdf_term_condition_editor', $settings);
	echo '</div>';
	echo '<style>
        .af_pdf_invoice_preview_changes #wp-af_invoices_pdf_term_condition_editor-wrap {
            width: 250px;
        }
        .af_pdf_invoice_preview_changes #wp-af_invoices_pdf_term_condition_editor-editor-container {
            width: 250px;
        }
    </style>';
	?>
	<p class="description">
		<?php
		echo esc_html_e('Add text for terms & conditions', 'af_pdf_invoices');
		?>
	</p>
	<?php
}











